net-snmp (5.8+dfsg-2ubuntu2.9+esm1) focal; urgency=medium

  * Avoid logging duplicate statfs failures, just log the once and
    never again, preventing logspam. (LP: #2126460)
    - d/p/lp2126460-HOST-MIB-Log-statfs-failures-once.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Sun, 25 May 2025 20:31:40 +1200

net-snmp (5.8+dfsg-2ubuntu2.9) focal; urgency=medium

  * Fix "double free or corruption (fasttop)" crash (LP: #2012926):
    - d/p/remove-request-when-sending-failed-1.patch: introduce
      remove_request() function
    - d/p/remove-request-when-sending-failed-2.patch: Remove the request
      on the session when the sending is failed

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 28 Jul 2023 17:42:56 -0300

net-snmp (5.8+dfsg-2ubuntu2.8) focal; urgency=medium

  * Fix multiple double free() bugs (LP: #2012926):
    - d/p/double-free-agentx_got_response.patch: fix double free of
      delegated cache in agentx_got_response()
    - d/p/double-free-failed-transport.patch: fix use-after-free in
      agentx when the transport fails
    - d/p/double-free-delegated-cache.patch: fix double free in the
      delegated cache
    - d/p/double-free-when-NETSNMP_CALLBACK_OP_RESEND-is-set.patch: fix
      double free when NETSNMP_CALLBACK_OP_RESEND is set to the callback

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 16 Jun 2023 17:04:58 -0300

net-snmp (5.8+dfsg-2ubuntu2.7) focal; urgency=medium

  * Fix snmptrapd reconnection issue after hitting MySQL wait_timeout
    (LP: #1999711)
    - d/p/snmptrapd-mysql-reconnection-after-hitting-wait_timeout.patch
    - d/p/snmptrapd-mysql-fix-build-error.patch

 -- Chengen Du <chengen.du@canonical.com>  Fri, 17 Feb 2023 03:05:10 +0000

net-snmp (5.8+dfsg-2ubuntu2.6) focal-security; urgency=medium

  * SECURITY UPDATE: DoS via null pointer exception issues
    - debian/patches/CVE-2022-4479x-1.patch: disallow SET with NULL varbind
      in agent/snmp_agent.c.
    - debian/patches/CVE-2022-4479x-2.patch: allow SET with NULL varbind
      for testing in apps/snmpset.c.
    - debian/patches/CVE-2022-4479x-3.patch: add test for NULL varbind set
      in testing/fulltests/default/T0142snmpv2csetnull_simple.
    - CVE-2022-44792
    - CVE-2022-44793

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Jan 2023 11:07:55 -0500

net-snmp (5.8+dfsg-2ubuntu2.5) focal; urgency=medium

  * Fix segmentation fault when attempting to initialise mysql
    connections due to incorrectly calling my_load_defaults()
    (LP: #1979933).
    - d/p/lp1979933-snmptrapd-Let-configure-check-for-mysql_options.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Tue, 02 Aug 2022 15:55:28 +1200

net-snmp (5.8+dfsg-2ubuntu2.4) focal-security; urgency=medium

  * SECURITY UPDATE: Multiple security issus
    - debian/patches/CVE-2022-248xx-1.patch: fix bounds checking in
      NET-SNMP-AGENT-MIB, NET-SNMP-VACM-MIB, SNMP-VIEW-BASED-ACM-MIB,
      SNMP-USER-BASED-SM-MIB in  agent/mibgroup/agent/nsLogging.c,
      agent/mibgroup/agent/nsVacmAccessTable.c,
      agent/mibgroup/mibII/vacm_vars.c, agent/mibgroup/snmpv3/usmUser.
    - debian/patches/CVE-2022-248xx-2.patch: recover SET status from
      delegated request in agent/snmp_agent.c.
    - CVE-2022-24805, CVE-2022-24806, CVE-2022-24807, CVE-2022-24808,
      CVE-2022-24809, CVE-2022-24810

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Jul 2022 14:22:42 -0400

net-snmp (5.8+dfsg-2ubuntu2.3) focal-security; urgency=medium

  * SECURITY UPDATE: Elevation of privileges - symlink handling
    - debian/patches/CVE-2020-15861.patch: stop reading and writing
      the mib_indexes files in include/net-snmp/library/mib.h,
      include/net-snmp/library/parse.h, snmplib/mib.c, snmplib/parse.c.
    - CVE-2020-15861
  * SECURITY UPDATE: Elevation of privileges
    - debian/patches/CVE-2020-15862.patch: make the extend mib
      read-only by default in agent/mibgroup/agent/extend.c.
    - CVE-2020-15862

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 17 Aug 2020 15:03:38 -0300

net-snmp (5.8+dfsg-2ubuntu2.2) focal-security; urgency=medium

  * SECURITY UPDATE: No-change rebuild with perl 5.30.0-9build1 (LP: #1886658)

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 22 Jul 2020 17:34:20 +0000

net-snmp (5.8+dfsg-2ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: Fix segmentation fault that happens when using the
    snmpv3 protocol with snmpbulkget. (LP: #1877027)
    - d/p/move-securityStateRef-into-free_securityStateRef.patch:
      Consolidate the check of the securityStateRef pointer into the
      free_securityStateRef function.
    - d/p/prevent-snmpv3-bulkget-errors-double-free.patch:
      Prevent snmpv3 bulkget errors from becoming resulting in a
      double free.
    - d/p/fix-usmStateReference-free.patch:
      Fix typo on usm_free_usmStateReference from last patch.
    - d/p/unexport-struct-usmStateReference.patch:
      Unexport struct usmStateReference and to prevent ABI breakages,
      since it will be necessary to add a reference count to it.
    - d/p/introduce-refcount-usmStateReference.patch:
      Introduce refcount in the struct usmStateReference, and adjust
      code to properly use the field.
    - CVE-2019-20892

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 23 Jun 2020 14:57:12 -0400

net-snmp (5.8+dfsg-2ubuntu2) focal; urgency=medium

  * d/p/lp1871307-log-once-proc-net-if_inet6-failure.patch (LP: #1871307):
    - MIB-II: Only log once that opening /proc/net/if_inet6 failed

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 09 Apr 2020 12:30:45 +0000

net-snmp (5.8+dfsg-2ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1855943). Remaining changes:
    - d/p/fix-check-hr-filesys-autofs.patch (LP #1843036)
    - Skip autofs entries when calling statfs (LP #1835818):
      - d/p/autofs-skip-autofs-entries.patch
      - d/p/autofs-fix-a-recently-introduced-bug.patch
        [Replaced former Non-upstream patches with clean cherry-pick)
    - d/p/mysql8-replace-bool.patch: fix build with mysql-8 (LP 1814270)
    - d/p/Link-libnetsnmptrapd-against-MYSQL_LIBS.patch: Link
      libnetsnmptrapd against MYSQL_LIBS.
    - Add apport hook.
      - d/control: add dh-apport to Build-Depends
      - d/rules: install the apport hook via debhelper
      - d/source.apport: apport hook
  * Dropped patches that are upstream and in Debian 5.8+dfsg-2:
    - d/p/put-paranthesis-around-macros-which-are-expressions.patch
      (LP #1843036)
    - Fix build with mysql-8 (LP #1814270):
      - d/p/mysql-options.patch: use mysql_options if no {my_,}load_defaults
        was found.
      - d/p/mysql-init.patch: handle the various mysql init functions.
      - d/p/mysql8-headers.patch: detect if my_global.h and my_sys.h are
        available.
      - d/p/my-load-defaults.patch: properly detect (and use)
        my_load_defaults().
    - d/p/snmptrapd_mysql_init: no need to drop this patch anymore
      (LP #1814254)
    - d/p/0001-swinst_apt.c-Fix-indexing-of-hrSWInstalledTable-to-s.patch
      (LP #1314760)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 13 Dec 2019 03:27:52 +0000

net-snmp (5.8+dfsg-2) unstable; urgency=medium

  * All MIB directory values removed and just use the default compile-time
    options, which is usually ok. Admins can add their own environment
    settings or options to change. Closes: #942151
  * Do not do parallel builds Closes: #942284
  * Correct sedscript CPPFLAGS and libnetsnmptrapd LDFLAGS
  * Also use default flags for restart on init scripts

 -- Craig Small <csmall@debian.org>  Wed, 23 Oct 2019 08:56:17 +1100

net-snmp (5.8+dfsg-1) unstable; urgency=medium

  * New upstream release
    - snmplib: handle large amount of file descriptors Closes: #754955
    - BUG: 2815 Display UTF-8 characters again Closes: #898399
  * Update to Debian standards 4.3.0
  * Update debhelper to compat 12
  * snmpd/snmptrapd: Log only warning and above. Closes: #792623
  * snmpd/snmptrapd: Systemd unit logs to stdout
  * Build depend on non-versions libsensors Closes: #917444
  * Library soname updated to 35
  * snmpd: Change pidfile mode to 0644 Closes: #528103
  * Remove python modules Closes: #937131
  * Respect defaults for sysvinit Closes: #932775
  * Added snmpping.1 manpage
  * Reduce logging for subcontainer Closes: #684721
  * Do not enable DISMAN events Closes: #823201
  * Update to standards 4.4.1

 -- Craig Small <csmall@debian.org>  Thu, 10 Oct 2019 22:37:15 +1100

net-snmp (5.7.3+dfsg-5ubuntu6) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:37:07 +0000

net-snmp (5.7.3+dfsg-5ubuntu5) eoan; urgency=medium

  * d/p/fix-check-hr-filesys-autofs.patch:
    - On Linux getmntent() is available but getfsstat() not.
      Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
      check.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Sat, 07 Sep 2019 16:30:53 +0000

net-snmp (5.7.3+dfsg-5ubuntu4) eoan; urgency=medium

  * d/p/put-paranthesis-around-macros-which-are-expressions.patch:
    - put paranthesis around macros which are expressions.
    (LP: #1843036)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 06 Sep 2019 23:15:43 +0000

net-snmp (5.7.3+dfsg-5ubuntu3) eoan; urgency=medium

  * Skip autofs entries when calling statfs to prevent autofs being mounted on
    snmpd startup (LP: #1835818):
    - d/p/autofs-skip-autofs-entries.patch
    - d/p/autofs-fix-a-recently-introduced-bug.patch

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Wed, 21 Aug 2019 12:22:37 +0100

net-snmp (5.7.3+dfsg-5ubuntu2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 11:32:18 +0000

net-snmp (5.7.3+dfsg-5ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/0001-swinst_apt.c-Fix-indexing-of-hrSWInstalledTable-to-s.patch:
      set first hrSWInstalledIndex to 1 to follow RFC 2790 (LP #1314760)
  * Drop:
    - SECURITY UPDATE: DoS via NULL pointer exception
      + debian/patches/CVE-2018-18065.patch: fix logic in
        agent/helpers/table.c.
      + CVE-2018-18065
      [Fixed in 5.7.3+dfsg-4]
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
      [Replaced by a more complete patch]
    - debian/rules: Fix calculation of UPSTREAM_VERSION and COMPAT_VERSION.
      [No more needed since 5.7.3+dfsg-5]
  * Added:
    - d/p/snmptrapd_mysql_init: drop this patch. The first part fixes builds
      with newer mariadb, which Ubuntu doesn't use, and the second part is
      an unrelated change which we are fixing in another patch (see #1814254
      for details).
    - d/p/0001-Link-libnetsnmptrapd-against-MYSQL_LIBS.patch: Link
      libnetsnmptrapd against MYSQL_LIBS.  Thanks to Adam
      Williamson <awilliam@redhat.com>. (Closes: #886221, LP: #1814254)
    - Fix build with mysql-8 (LP: #1814270):
      + d/p/mysql8-replace-bool.patch: newer mysql dropped my_bool, use char
        instead.
      + d/p/my-load-defaults.patch: properly detect (and use)
        my_load_defaults(). This replaces the previous
        my_load_defaults patch.
      + d/p/mysql8-headers.patch: detect if my_global.h and my_sys.h are
        available
      + d/p/mysql-init.patch: handle the various mysql init functions
      + d/p/mysql-options.patch: use mysql_options if no {my_,}load_defaults
        was found.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 05 Feb 2019 16:00:35 -0200

net-snmp (5.7.3+dfsg-5) unstable; urgency=medium

  * Use debhelper macros for shlibs Closes: #912685
  * Relocate snmp.conf to libsnmp-base Closes: #914657

 -- Craig Small <csmall@debian.org>  Sat, 05 Jan 2019 16:16:10 +1100

net-snmp (5.7.3+dfsg-4) unstable; urgency=medium

  [ Craig Small ]
  * Use correct snmpwalk args in snmpcheck Closes: #898197
  * Remove user only on purge Closes: #911216, #911132

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Salvatore Bonaccorso ]
  * snmpd crashes when receiving a GetNext PDU with multiple Varbinds
    (CVE-2018-18065) (Closes: #910638)

 -- Craig Small <csmall@debian.org>  Fri, 26 Oct 2018 12:40:34 +1100

net-snmp (5.7.3+dfsg-3) unstable; urgency=medium

  * Compile perl module after library Closes: #894626

 -- Craig Small <csmall@debian.org>  Wed, 04 Apr 2018 21:34:09 +1000

net-snmp (5.7.3+dfsg-2) unstable; urgency=medium

  [ Craig Small ]
  * New maintainer Closes: #835654
  * Imported old NMU diff Closes: #851343, #852479
  * Change VCS urls to salsa
  * Update to standards 4.1.3 - no change
  * Update to debhelper version 11
  * Remove empty copyright file for libsnmp30
  * snmp.prerm - remove killall
  * snmpd and snmptrapd init scripts follow LSB minimal skeleton
    Closes: #823079, #746397
  * Drop Jochen Friedrich from Uploaders Closes: #891770
  * Make snmpd and snmptrapd write pid files Closes: #878828

  [ Hideki Yamane ]
  * debian/control
    - fix lintian error "old-style-config-script-multiarch-path" by adding
      "Multi-Arch: no" to libsnmp-dev. It also fix multi-arch install
      (Closes: #774775)
    - note net-snmp-config script moved to libsnmp-dev (Closes: #801991)
      Thanks to Vanush Misha Paturyan <misha@cs.nuim.ie>
  * debian/libsnmp-perl.manpages
    - fix to install perl modules man pages (Closes: #778539)
      Thanks to Guillem Jover <gjover@sipwise.com> for the patch
  * move debian/NEWS to debian/snmpd.NEWS (Closes: #586722, #587183)
  * debian/control
    - drop Hideki Yamane <henrich@debian.org> from Uploaders.

 -- Craig Small <csmall@debian.org>  Sat, 31 Mar 2018 20:00:51 +1100

net-snmp (5.7.3+dfsg-1.8ubuntu5) disco; urgency=medium

  * No-change rebuild against latest lm-sensors

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 02 Jan 2019 17:37:45 -0500

net-snmp (5.7.3+dfsg-1.8ubuntu4) disco; urgency=medium

  * debian/rules: Fix calculation of UPSTREAM_VERSION and COMPAT_VERSION.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 05 Nov 2018 13:22:39 -0700

net-snmp (5.7.3+dfsg-1.8ubuntu3.18.10.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: DoS via NULL pointer exception
    - debian/patches/CVE-2018-18065.patch: fix logic in
      agent/helpers/table.c.
    - CVE-2018-18065

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Oct 2018 08:03:49 -0400

net-snmp (5.7.3+dfsg-1.8ubuntu3) bionic; urgency=medium

  * d/p/0001-swinst_apt.c-Fix-indexing-of-hrSWInstalledTable-to-s.patch:
    set first hrSWInstalledIndex to 1 to follow RFC 2790 (LP: #1314760)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 20 Feb 2018 15:24:41 +0100

net-snmp (5.7.3+dfsg-1.8ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:39 +0000

net-snmp (5.7.3+dfsg-1.8ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable (LP: #1742518). Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
  * Dropped:
    - Avoid installing links in rc[06].d.
      [It's not clear what it was trying to solve (no details or bug
      number), but update-rc.d no longer takes start/stop arguments and
      this delta was actually resulting in warnings during the installation.
      Also, Ubuntu is using systemd now and this package has systemd service
      files.]

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 11 Jan 2018 16:07:07 -0200

net-snmp (5.7.3+dfsg-1.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for OpenSSL 1.1.0 and revert that were added
    (Closes: #828449):
    - add libssl-dev back as dependency of libsnmp-dev
    - drop the guard which enforced libssl 1.0.2
    - add -lcrypto back to pkg-config

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 23 Dec 2017 23:48:23 +0100

net-snmp (5.7.3+dfsg-1.7ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1712569). Remaining changes:
    - Add apport hook.
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - Avoid installing links in rc[06].d.
    - d/p/my_load_defaults: use my_load_defaults instead of the
      libmysqlclient-internal load_defaults (LP #1565003). Thanks to Lars
      Tangvald.
  * Drop:
    - SECURITY UPDATE: denial of service and possible code execution via
      incompletely parsed varBind variables
      + debian/patches/CVE-2015-5621.patch: don't return incorrectly parsed
        varbinds in snmplib/snmp_api.c.
      + CVE-2015-5621
      [Added by Debian as 0025-Bug-788964-net-snmp-snmp_pdu_parse-DoS.patch
      in 5.7.3+dfsg-1.1]
    - debian/snmp.preinst:
      It turns out that the original motivation why killall was added is gone.
      So we can just remove the killall introduced by Ubuntu LP #573391
      (Closes: #781257, LP #1245604)
      [Fixed in Debian 5.7.3+dfsg-1.1]
    - Fix "FTBFS with Perl 5.24: error: conflicting types for 'U64'":
      add patch from upstream git which removes the U64 typedef from the
      Net-SNMP header files.
      Thanks to Niky Tyni for extracting the patch.
      (Closes: #825014)
      [Fixed in Debian 5.7.3+dfsg-1.5]
    - Additionally add another patch from upstream git which fixes
      perl/*/Makefile.PL to fix build failures with Perl 5.24.
      Cf. https://sourceforge.net/p/net-snmp/bugs/2712/
      [Fixed in Debian 5.7.3+dfsg-1.5]

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 23 Aug 2017 10:29:35 -0300

net-snmp (5.7.3+dfsg-1.7) unstable; urgency=medium

  [ Niels Thykier ]
  * Non-maintainer upload with the following changes from
    other people.

  [ Sebastian Andrzej Siewior ]
  * drop dep on libssl1.0-dev in the dev package.  (Closes: #851946)
  * add a guard to catch users of the wrong library
  * remove "-lcrypto" from the pkg-config when linking statically.
    This is technical suboptimal and should ideally be reverted
    for buster (when all packages migrate to the same ssl version).

  [ Adrian Bunk ]
  * Re-able "pie" hardening as its absence is causing issues for
    reverse dependencies.  (Closes: #852023)

 -- Niels Thykier <niels@thykier.net>  Tue, 24 Jan 2017 20:16:23 +0000

net-snmp (5.7.3+dfsg-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Build-Depends to use libssl1.0-dev and
    default-libmysqlclient-dev.  (Closes: #846569, #836312)
  * Use "perl" instead of the (now removed) "perl-modules" package
    in Recommends.
  * Add dh-python build-depends because dh_python2 asked for it.
  * Drop debian/libsnmp30.postinst - its entire contents was handled
    by debhelper.

 -- Niels Thykier <niels@thykier.net>  Sat, 14 Jan 2017 08:40:05 +0000

net-snmp (5.7.3+dfsg-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with Perl 5.24: error: conflicting types for 'U64'":
    add patch from upstream git which removes the U64 typedef from the
    Net-SNMP header files.
    Thanks to Niky Tyni for extracting the patch.
    (Closes: #825014)
  * Additionally add another patch from upstream git which fixes
    perl/*/Makefile.PL to fix build failures with Perl 5.24.
    Cf. https://sourceforge.net/p/net-snmp/bugs/2712/

 -- gregor herrmann <gregoa@debian.org>  Fri, 02 Sep 2016 16:43:42 +0200

net-snmp (5.7.3+dfsg-1.4) unstable; urgency=medium

  [ Sophie Brun ]
  * Non-maintainer upload.
  * Add a snmpd.service and a snmptrapd.service (Closes: #782243)

  [ Raphaël Hertzog ]
  * Fix the package so that it can build "Arch: all" without "Arch: any" (and
    thus letting us make source only uploads).

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 20 Jun 2016 10:24:35 +0200

net-snmp (5.7.3+dfsg-1.3) unstable; urgency=medium

  * _Really_ add missing Build-Depends: pkg-config on kfreebsd
    (Closes: #810982).

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 31 Mar 2016 01:05:01 +0200

net-snmp (5.7.3+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Steven Chamberlain ]
  * Add missing Build-Depends: pkg-config on kfreebsd (Closes: #810982)

  [ Steinar H. Gunderson ]
  * Add --force-badname when creating the Debian-snmp user, as the name would
    otherwise be rejected. (Closes: #819531)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 30 Mar 2016 21:46:44 +0200

net-snmp (5.7.3+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload, done on top of the latest version in pkg-net-snmp
    git, as well as adding Steven Chamberlain's kFreeBSD patches from
    bug #810892.

  [ Hideki Yamane ]
  * debian/patches
    - add Bug-788964-net-snmp-snmp_pdu_parse-DoS.patch (Closes: #788964)
    - add 0026-fix-Bug-785380-incorrect-date-format.patch (Closes: #785380)
      Thanks to Gabor Kiss <kissg@ssg.ki.iif.hu>
    - add 0027-fix-455707-traptoemail-use-FQDN.patch (Closes: #455707)
      Thanks to Ferenc Wagner <wferi@niif.hu>
  * debian/snmpd.{preinst,postinst,postrm}
    - change SNMP user from "snmp" to "Debian-snmp" to avoid confusion with
      non-system user. It satisfy to work with some LDAP system. Thanks to
      Vincent Bernat <bernat@debian.org> for suggestions.
      (Closes: #794641, #794647)
  * debian/snmp.preinst
    - revert "killall", it is unnecessary anymore (Closes: #781257)

  [ Steven Chamberlain ]
  * Fix a typo in 26_kfreebsd.patch
  * Add 27_kfreebsd.patch: (Closes: #810982)
    - Add missing dependency of mibII/icmp on kfreebsd
    - Add kfreebsd definitions not in GNU libc's icmp6.h
  * Remove obsolete Fix-kfreebsd-builds-with-kernel-headers-10.patch
  * Re-enable IPv6 on kfreebsd (Closes: #765846)
  * Build with the libbsd overlay on kfreebsd, for nlist

  [ Steinar H. Gunderson ]
  * New patches, mostly for various bug fixes (some of them for crash bugs):
    * fix_engineid_reprobe.diff: Do not probe engineID for USM
      if it is already given. (Closes: #765873)
    * callback_print.diff: Fix enum formatting when doing asynchronous queries
      from Perl. (Closes: #765289)
    * do_not_callback_for_failed_reports.diff: Fix access of freed data due to
      callbacks for reports occasionally coming twice.
    * fix_perl_bulk_gets.diff: Fix handling of truncated bulk get responses
      in the Perl module. (Patch 1278 in upstream patch tracker.)
    * let_perl_access_engineid.diff: Add a new functions to let Perl code
      access the security engine ID.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 29 Mar 2016 10:30:24 +0200

net-snmp (5.7.3+dfsg-1ubuntu6) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:11:36 +0000

net-snmp (5.7.3+dfsg-1ubuntu5) zesty; urgency=medium

  * Cherry-pick two patches from Debian's 5.7.3+dfsg-1.5:
  * Fix "FTBFS with Perl 5.24: error: conflicting types for 'U64'":
    add patch from upstream git which removes the U64 typedef from the
    Net-SNMP header files.
    Thanks to Niky Tyni for extracting the patch.
    (Closes: #825014)
  * Additionally add another patch from upstream git which fixes
    perl/*/Makefile.PL to fix build failures with Perl 5.24.
    Cf. https://sourceforge.net/p/net-snmp/bugs/2712/

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 25 Oct 2016 10:28:38 +0100

net-snmp (5.7.3+dfsg-1ubuntu4) xenial; urgency=medium

  * Rebuild against libmysqlclient20.
  * d/p/my_load_defaults: use my_load_defaults instead of the
    libmysqlclient-internal load_defaults (LP: #1565003). Thanks to Lars
    Tangvald.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 15:17:35 +0000

net-snmp (5.7.3+dfsg-1ubuntu3) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 01:20:38 +0000

net-snmp (5.7.3+dfsg-1ubuntu2) wily; urgency=medium

  * debian/snmp.preinst:
    It turns out that the original motivation why killall was added is gone.
    So we can just remove the killall introduced by Ubuntu LP #573391
    (Closes: #781257, LP: #1245604)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 09 Oct 2015 13:18:25 +0200

net-snmp (5.7.3+dfsg-1ubuntu1) wily; urgency=medium

  * Resynchronise with Debian. Remaining changes:
    - Add apport hook.
    - Avoid installing links in rc[06].d.
  * Dropped patches included in new version:
    - debian/patches/00upstream-btrfs.patch
    - debian/patches/CVE-2012-6151.patch
    - debian/patches/CVE-2014-2284.patch
    - debian/patches/CVE-2014-2285.patch
  * SECURITY UPDATE: denial of service and possible code execution via
    incompletely parsed varBind variables
    - debian/patches/CVE-2015-5621.patch: don't return incorrectly parsed
      varbinds in snmplib/snmp_api.c.
    - CVE-2015-5621

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Aug 2015 12:58:43 -0400

net-snmp (5.7.3+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 5.7.3+dfsg
  * refresh debian/patches and drop unnecessary patches from upstream
  * debian/control
    - set Standards-Version: 3.9.6

 -- Hideki Yamane <henrich@debian.org>  Tue, 28 Apr 2015 20:58:18 +0900

net-snmp (5.7.2.1+dfsg-1) unstable; urgency=medium

  * re-generate upstream source due to accidentally include non-free MIB files.
    Now those are removed from source again (Closes: #782598)

 -- Hideki Yamane <henrich@debian.org>  Sun, 12 Apr 2015 06:38:47 +0900

net-snmp (5.7.2.1~dfsg-7) unstable; urgency=medium

  * debian/patches
    - add CVE-2014-3565.patch taken from upstream to fix CVE-2014-3565
      (Closes: #760132)

 -- Hideki Yamane <henrich@debian.org>  Wed, 17 Sep 2014 15:56:45 +0900

net-snmp (5.7.2.1~dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    Make debian/libsnmp-perl.install executable and use $Config{vendorarch} to
    get the perl library directory. Patch from Niko Tyni.
    (Closes: #751918)
  * Fix "FTBFS on kfreebsd-amd64 - 'struct kinfo_proc' has no member
    named 'kp_eproc'":
    Add patch from Niko Tyni which fixes a DEFINE that changed between
    kfreebsd-kernel-headers 9 and 10.
    (Closes: #753144)
  * Fix "snmpd: Memory leak when SNMP GET request id is zero":
    add patch from upstream bug, prepared by Roland Stigge.
    (Closes: #746225)

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Jul 2014 14:48:18 +0200

net-snmp (5.7.2.1~dfsg-6) unstable; urgency=medium

  * debian/{snmpd.conf,patches/add_rocommunity6.patch}
    - fix typo, thanks to Uwe Storbeck <uwe@ibr.ch> for the report
      (Closes: #746399)
  * debian/control
    - libsnmp-dev: add "Depends: libpci-dev" (Closes: #744023)

 -- Hideki Yamane <henrich@debian.org>  Sun, 04 May 2014 10:55:05 +0900

net-snmp (5.7.2.1~dfsg-5) unstable; urgency=high

  * debian/patches
    - add ifmib.patch taken from upstream to work on systems without a PCI bus
      Thanks to Chris Boot <debian@bootc.net> and Sergey Dorofeev
      <sergey@fidoman.ru> for the report (Closes: #745919, #745956)

 -- Hideki Yamane <henrich@debian.org>  Sun, 27 Apr 2014 17:05:08 +0900

net-snmp (5.7.2.1~dfsg-4) unstable; urgency=medium

  * debian/*.init
    - fix incorrect sequence of options passed to start-stop-daemon
      Thanks to Mehul Sanghvi <mehul.sanghvi@gmail.com> (Closes: #745828)

 -- Hideki Yamane <henrich@debian.org>  Sat, 26 Apr 2014 14:19:55 +0900

net-snmp (5.7.2.1~dfsg-3) unstable; urgency=medium

  * Upload to unstable
  * debian/snmptrapd.init
    - fix "--force-reload" option (Closes: #525028)

 -- Hideki Yamane <henrich@debian.org>  Thu, 10 Apr 2014 00:08:03 +0900

net-snmp (5.7.2.1~dfsg-2) experimental; urgency=medium

  * fix broken debian/snmpd.postinst
  * debian/control
    - fix dependency for snmptrapd since '/usr/bin/traptoemail' is also in
      snmp (<< 5.7.2.1~dfsg-1)

 -- Hideki Yamane <henrich@debian.org>  Tue, 01 Apr 2014 23:15:15 +0900

net-snmp (5.7.2.1~dfsg-1) experimental; urgency=medium

  * New upstream release
    - fix DoS on ICMP-MIB as CVE-2014-2284 (Closes: #742817)
  * Ack NMU (Closes: #717419)
  * debian/patches
    - add add_rocommunity6.patch to fix snmpwalk using ipv6 (Closes: #717179)
    - add fix_manpage-has-errors-from-man.patch
    - add agentx-crash.patch, taken from Fedora package. It fixes CVE-2012-6151
      (Closes: #731625)
    - add TrapReceiver.patch to fix CVE-2014-2285
  * debian/control
    - set Standards-Version: 3.9.5
    - add "Build-Depends: libpci-dev" to enable libpci function that was
      introduced in 5.7 (Closes: #741504)
    - split snmptrapd from snmpd to allow to install only snmpd on systems that
      will never issue traps (Closes: #314902)
      + Also it separates mysql dependency (Closes: #715486)
  * debian/libsnmp-dev.install
    - add missing net-snmp-create-v3-user (Closes: #726158, #718988)
  * debian/upstream/signing-key.asc
    - check upstream PGP key
  * debian/rules
    - add etherlike-mib/dot3StatsTable (Closes: #729732, LP#1251847)
  * debian/snmpd.init
    - relax start-stop-daemons avoid restart daemon before it terminates.
      Thanks to Saj Goonatilleke <saj.goonatilleke@anchor.net.au> for the
      patch (Closes: #640456)
    - fix "init.d-script-does-not-source-init-functions" lintian warning
  * debian/snmptrapd.init
    - split it from snmpd.init (Closes: #724288)
  * debian/snmpd.postinst
    - fix weird user creation (Closes: #482041, #589040, #606784, #610630)
  * debian/snmpd.postrm
    - remove unnecessary old /var/agentx/master directory with purge
      (Closes: #728546)
  * debian/snmp.install
    - move traptoemail to snmptrapd.install releated to above changes
  * debian/{snmpd,snmptrapd}.default
    - fix pid diretory (Closes: #611668)
  * debian/README.Debian
    - note snmpconf is in snmp package (Closes: #577649)

 -- Hideki Yamane <henrich@debian.org>  Sun, 30 Mar 2014 19:58:39 +0900

net-snmp (5.7.2~dfsg-8.1ubuntu5) utopic; urgency=medium

  * Backport from 5.7.2.1~dfsg-6.1:
    - Fix "hardcodes /usr/lib/perl5":
      Make debian/libsnmp-perl.install executable and use
      $Config{vendorarch} to get the perl library directory. Patch from Niko
      Tyni.
      (Closes: #751918)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Aug 2014 11:16:35 +0100

net-snmp (5.7.2~dfsg-8.1ubuntu4) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Aug 2014 00:21:26 +0100

net-snmp (5.7.2~dfsg-8.1ubuntu3) trusty; urgency=medium

  * SECURITY UPDATE: denial of service via AgentX subagent timeout
    - debian/patches/CVE-2012-6151.patch: track cancelled sessions in
      agent/mibgroup/agentx/{master.c,master_admin.c}, agent/snmp_agent.c,
      include/net-snmp/agent/snmp_agent.h.
    - CVE-2012-6151
  * SECURITY UPDATE: denial of service when ICMP-MIB is in use
    - debian/patches/CVE-2014-2284.patch: fix ICMP mib table handling in
      agent/mibgroup/mibII/icmp.c, agent/mibgroup/mibII/kernel_linux.*.
    - CVE-2014-2284
  * SECURITY UPDATE: denial of service in perl trap handler
    - debian/patches/CVE-2014-2285.patch: handle empty community string in
      perl/TrapReceiver/TrapReceiver.xs.
    - CVE-2014-2285

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Apr 2014 08:17:14 -0400

net-snmp (5.7.2~dfsg-8.1ubuntu2) trusty; urgency=medium

  * Add 00upstream-btrfs.patch: Add btrfs support to hrFSTable. Cherrypicked
    from upstream, by way of Nafallo Bjälevik. Thanks! (LP: #1289503)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Mar 2014 13:24:18 +0100

net-snmp (5.7.2~dfsg-8.1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add apport hook.
    - Avoid installing links in rc[06].d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 06:29:46 -0700

net-snmp (5.7.2~dfsg-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move net-snmp-config to libsnmp-dev package (Closes: #716805)
  * Mark libsnmp-base as Multi-Arch: foreign and drop Multi-Arch: same for
    libsnmp-dev package (Closes: #708302)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 13 Jul 2013 17:13:09 +0200

net-snmp (5.7.2~dfsg-8ubuntu2) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 12:30:05 +0100

net-snmp (5.7.2~dfsg-8ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1200516).  Remaining changes:
    + Add apport hook (LP: #533603):
      - debian/source.apport: apport hook
      - debian/control: Build-depends on dh-apport.
      - debian/rules:
        + Add --with apport.
        + override_dh_apport to install hook on snmpd package only.
  * Call dh_installinit correctly to avoid installing links in rc[06].d

 -- Yolanda Robla <yolanda.robla@canonical.com>  Fri, 12 Jul 2013 09:47:12 +0200

net-snmp (5.7.2~dfsg-8) unstable; urgency=low

  * add libsnmp-perl.preinst to deal with empty directory by libsnmp15
    package removal (Closes: #709761)
  * {snmp,snmpd}.postinst: deal with "copyright file missing after upgrade
    (policy 12.5)" (Closes: #709087)

 -- Hideki Yamane <henrich@debian.org>  Thu, 06 Jun 2013 08:49:02 +0900

net-snmp (5.7.2~dfsg-7) unstable; urgency=low

  * debian/control
    - libsnmp-base: update to more policy polite (Breaks/Replaces: libsnmp15
      (<<5.7.2~dfsg-5)), thanks to James McCoy
  * debian/snmp.preinst
    - fix incomplete script.

 -- Hideki Yamane <henrich@debian.org>  Mon, 20 May 2013 14:19:36 +0900

net-snmp (5.7.2~dfsg-6) unstable; urgency=low

  * debian/rules
    - Fix Hurd build issue, thanks Pino Toscano <pino@debian.org> for
      the patch (Closes: #708951)
  * debian/snmpd.init
    - patch from Ubuntu, LSBified
  * debian/snmp.pre{inst,rm}
    - patch from Ubuntu, Kill any/all processes owned by snmp user before
      install/uninstall.
  * debian/control
    - add "Conflicts: libsnmp15" to libsnmp-base since moving net-snmp-config
      in previous version cause trouble (Closes: #708983)

 -- Hideki Yamane <henrich@debian.org>  Mon, 20 May 2013 08:49:14 +0900

net-snmp (5.7.2~dfsg-5) unstable; urgency=low

  * debian/control
    - fix typo and improve description, thanks to Martin Eberhard Schauer
      <Martin.E.Schauer@gmx.de> for the patch (Closes: #708519)
    - libsnmp-base: add "Conflicts: libsnmp30 (<< 5.7.2~dfsg-5)" since
      net-snmp-config file moves from libsnmp30 to libsnmp-base
      (Closes: #708298)
    - update descriptions
  * debian/{libsnmp-base,libsnmp30}.install: update

 -- Hideki Yamane <henrich@debian.org>  Sun, 19 May 2013 23:09:52 +0900

net-snmp (5.7.2~dfsg-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Don't stop service in runlevels 0 and 6.
    - debian/snmpd.init: LSBify the init script.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
  * debian/patches/ubuntu-fix-lp-587828.patch: Drop. Fixed upstream.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 16 May 2013 21:01:27 -0400

net-snmp (5.7.2~dfsg-4) unstable; urgency=low

  * debian/snmpd.{init,default,postinst}
    - silly bug related to handle /var/run/agentx directory
      (Closes: #708335, #708328) Thanks to Hilmar Preuße <hille42@web.de> and
      Vincent Bernat <bernat@debian.org> for reporting

 -- Hideki Yamane <henrich@debian.org>  Wed, 15 May 2013 22:21:39 +0900

net-snmp (5.7.2~dfsg-3) unstable; urgency=low

  * Upload to unstable
  * debian/control
    - specify version for "Breaks: libsnmp15"

 -- Hideki Yamane <henrich@debian.org>  Thu, 09 May 2013 20:38:28 +0900

net-snmp (5.7.2~dfsg-2) experimental; urgency=low

  * debian/snmpd.{postinst,postrm}
    - avoid failure with /var/run/agentx
  * debian/control
    - add "Breaks: libsnmp15" to snmp since snmp.conf moves from it.

 -- Hideki Yamane <henrich@debian.org>  Fri, 26 Apr 2013 16:02:01 +0900

net-snmp (5.7.2~dfsg-1) experimental; urgency=low

  * debian/control
    - add myself to Uploaders. Thanks, Jochen.
  * debian/snmpd.{dirs,init,postinst}
    - ensure /var/run/agentx exists since maybe /var/run would be tmpfs, so
      would disappear with reboot. Thanks to lintian.
  * debian/patches
    - add fix_manpage-has-errors_break_line.patch

 -- Hideki Yamane <henrich@debian.org>  Fri, 26 Apr 2013 07:47:09 +0900

net-snmp (5.7.2~dfsg-1~0.2) experimental; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - don't specify installdocs -plibsnmp-perl twice.
    - add dh_python2 to avoid missing dependency (Closes: #704864)
  * debian/control
    - set XS-Python-Version: 2.7 to avoid that dh_python2 would fail

 -- Hideki Yamane <henrich@debian.org>  Tue, 09 Apr 2013 10:42:56 +0900

net-snmp (5.7.2~dfsg-1~0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream version 5.7.2 (Closes: #557348, #631063, #684388, #599929,
    #673197, #581185, #558356, #568550, #514842, #445608, #557186, #411858,
    #428824, #611837, #495060, #527231, #583391, #572414, #668545, #344979,
    #397573)
  * debian/control
    - set "Standards-Version: 3.9.4"
    - set "Build-Depends: debhelper (>= 9)" to enable hardening
    - set "Build-Depends: automake", instead of automake1.9
    - drop "Build-Depends: python-central", use dh_python2 by default, instead
    - remove duplicational "Priority:" and "Section:" fields
    - make it "Multi-Arch" enable
    - add description for non-free snmp-mibs-downloader for users' convinience
      (Closes: #561124)
    - add "Build-Depends: libmysqld-dev" to support MySQL
    - add "Build-Depends: dh-autoreconf"
    - use python-all (2.6.6-3~) instead of python-all-dev (>= 2.5.4-1~), python
      (>=2.3.5-7) for Build-Depends
    - add "Build-Depends: python2.7-dev"
    - s/libsnmp-python/python-netsnmp/ as Python Policy compliant
      (Closes: #661899)
    - Add libsnmp-base to snmp and snmpd's Depends and remove it from
      libsnmp30, also remove "Depends: libsnmp-perl (=${binary:Version})" from
      libsnmp-dev to adjust dependencies in Multi-Arch compliant.
    - simplify libsnmp-perl's Depends to avoid piuparts error
    - remove "Conflicts: libsnmp-dev" from libsnmp-dev
    - point to git://anonscm.debian.org/pkg-net-snmp/pkg-net-snmp.git for
      Vcs-* fields
  * debian/compat
    - set 9
  * debian/*.install
    - split into *.manpages
  * debian/fixman: drop it.
  * debian/*.manpages (Closes: #505149)
    - remove unnecessary"snmp" from tail of all man pages
  * debian/libsnmp-base.install
    - move /usr/share/mibs to /usr/share/snmp/mibs (probably, previous setting
      was just wrong...)
    - install all mibs/*.txt
  * debian/libsnmp-dev.install
    - change from "usr/lib/*" to "usr/lib/*/*" to deal with Multi-Arch
  * debian/libsnmp30.install
    - change from "usr/lib/*.so" to "usr/lib/*/*.so" to deal with Multi-Arch
  * debian/snmp.dirs: remove it since unnecessary
  * debian/snmpd.dirs: remove lintian overrides direcotry, add /etc/snmp
  * debian/libsnmp-dev.dirs: add it
  * debian/libsnmp-perl.examples: add it since dh_installexamples target in
    previous debian/rules doesn't work correctly.
  * debian/patches
    - remove all *.README files
    - add fix_typo_in_snmpd.conf.patch (Closes: #603593)
      Thanks to Slavko <linux@slavino.sk>
    - add fix_logging_option.patch (Closes: #616437)
    - add fix_snmpcheck_perl_path.patch to provide snmpcheck (Closes: #44373)
    - add net-snmp-config_multi-arch.patch to enable Multi-Arch
    - add fix_regular_expression.patch enable to build under Multi-Arch
    - add to snmptranslate.1.patch fix lintian "hyphen-used-as-minus-sign"
      warnings
    - add fix_spelling_error.patch to fix typo
    - add after_RFC5378 to include some MIBs as DFSF-free code in RFC Documents.
    - adjust and refresh 03_makefiles.patch
    - add fix_man_error.patch
    - drop 25_duplicate_iftable.patch and 44_nlist_kvm.patch since it cannot be
      applied to current code.
    - drop 32_mnttab_path.patch since it was merged to upstream as
      configure.d/config_os_misc4
    - drop 56_manpage.patch since most of patches are merged, and others are
      unnecessary because upstream files are disappeared.
    - refresh 61_vacm_missing_dependency_check.patch
    - drop 63_fix_shell.patch since it was merged to upstream
    - reapplied 64_missing_lib.patch since upstream source has been changed.
    - drop 65_CVE-2012-2141.patch since it was merged to upstream
    - drop 66_formatstrings.patch since almost merged to upstream, some of
      code are changed in upstream and become unnecessary.
    - move 08_defaultconfig.patch to debian/snmptrapd.conf
  * debian/rules
    - enable hardening
      (TODO: building perl module would be failed without -pie)
    - specify LDFLAGS to enable hardening
    - add "--with autotools-dev,autoreconf"
    - export DEB_BUILD_MAINT_OPTIONS to enable hardening
    - drop "dh --with python-central" (Closes: #616913)
    - drop "include /usr/share/python/python.mk"
    - remove "$(PYVERS:%=debian/python-install-stamp-%)"
    - move exist python targets under override_dh_install
    - remove unnecessary .PHONY lines
    - enable tests by removing no instructions with dh_auto_test line
    - set DEB_HOST_MULTIARCH to enable Multi-Arch
    - enable install snmpcheck
    - don't specify to copy files but install them by using .install file
      (mostly)
    - enable mysql support
    - enable AES support (Closes: #447705)
    - don't make symlink for /usr/share/doc/libsnmp-perl since other are okay
      but it has examples files.
    - snmpd doc files link to libsnmp (Closes: #453124)
    - libsnmp-perl doc files link to libsnmp
    - adjust dh_strip for dbg package.
    - adjust dh_clean target
    - remove override_dh_auto_build since LD_RUN_PATH is clearly specified
      during building perl modules
    - add mibII/mta_sendmail to build modules (Closes: #641608)
    - install copyright file manually for libsnmp30
    - "get-orig-source:" target: really remove IANA files.
    - improve specifying MIBs directory with new one.
    - add "disman/event-mib" to MIB_MODULES, somehow changes in 5.2.2-5
      disappeared (Closes: #562787)
  * debian/clean
    - most listed files are cared by autotools-dev, so removed.
  * debian/snmp.conf: fix typo (Closes: #623499, #647468)
  * debian/snmpd.init
    - force remove pid files (Closes: #528104)
    - deal with MIBs directory changes
  * add libsnmp30.lintian-overrides since it seems to be false-positive.
  * debian/snmpd.dirs: fix "using of /var/agentx conflicts with FHS"
    RFC says "(It may create other, implementation-specific endpoints.)", so
    FHS-compliant endpoint is more suitable for Debian system.
    (Closes: #672063)
  * debian/snmpd.lintian-overrides
    - remove above overrides since it's unnecessary anomore.
  * move snmp.conf from libsnmp30 to snmp.
  * debian/snmpd.default
    - Disable loading mteTrigger and mteTriggerConf modules as they don't
      work without non-free MIBs.
  * libsnmp-perl.postinst: remove it since it's not necesssary because
    symlink is handled by debian/rules

 -- Hideki Yamane <henrich@debian.org>  Sun, 27 Jan 2013 11:57:29 +0900

net-snmp (5.4.3~dfsg-2.7ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Don't stop service in runlevels 0 and 6.
    - debian/snmpd.init: LSBify the init script.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
    - debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit
      arches
    - debian/{control,rules}: Use dh_python2

 -- Logan Rosen <logatronico@gmail.com>  Tue, 04 Dec 2012 16:57:00 -0500

net-snmp (5.4.3~dfsg-2.7) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/27_kfreebsd_bug625985.patch: New patch, fix build error on
    kfreebsd-*, by Steven Chamberlain (closes: #625985).

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Nov 2012 13:30:51 +0100

net-snmp (5.4.3~dfsg-2.6) unstable; urgency=low

  * Non-maintainer upload.
  * debian/libsnmp-perl.postinst: Fix directory to symlink upgrade in
    postinst (closes: #692949)

 -- David Prévot <taffit@debian.org>  Sun, 18 Nov 2012 09:24:30 -0400

net-snmp (5.4.3~dfsg-2.5ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Don't stop service in runlevels 0 and 6.
    - debian/snmpd.init: LSBify the init script.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
    - debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit
      arches
    - debian/{control,rules}: Use dh_python2
  * Dropped changes:
    - debian/patches/50_use_bash.patch: Patch wasn't actually being
      applied, and upstream apparently fixed this in 5.4.2.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Patch wasn't actually
      being applied, and fix is included in 56_manpage.patch.
    - debian/snmpd.postinst: Source debconf before doing work: included in
      debian package now.
    - debian/patches/99-fix-ubuntu-div0.patch: wasn't applied.
    - debian/patches/CVE-2008-6123.*: wasn't applied.
    - debian/patches/CVE-2012-2141.patch: use debian's patch.
    - debian/README.Debian-source: this change is irrelevant since we
      use the debian tarball as-is.
    - debian/rules: removed misc irrelevant and undocumented changes.
    - debian/snmpd.postinst: no longer need to remove shutdown and reboot
      links since this is from Maverick-era.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 20 Jun 2012 09:45:11 -0400

net-snmp (5.4.3~dfsg-2.5) unstable; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2012-2141 by using Ubuntu's patch (Closes: #672492).
  * Do not ship *.la files (Closes: #633166).
  * Enable hardened build flags and fix missing format strings
    (Closes: #657519).
  * Source debconf before doing work in postinst (Closes: #626312).
  * Fix check for existing snmp group in postinst (Closes: #609430).
  * Use *-any architecture qualifiers (Closes: #634735).
  * Add Indonesian debconf translation (Closes: #654166).
  * Add Polish debconf translation (Closes: #661252).

 -- Luk Claes <luk@debian.org>  Sun, 27 May 2012 17:22:01 +0200

net-snmp (5.4.3~dfsg-2.4ubuntu2) quantal; urgency=low

  * SECURITY UPDATE: denial of service via SNMP GET with non-existent
    extension table entry
    - debian/patches/CVE-2012-2141.patch: validate line_idx in
      agent/mibgroup/agent/extend.c.
    - CVE-2012-2141

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 May 2012 16:30:48 -0400

net-snmp (5.4.3~dfsg-2.4ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - net-snmp-config: Use bash.
    - Removed multiuser option when calling update-rc.d.
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in
      snmpcmd.1.
    - debian/snmpd.postinst: Source debconf before doing work.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
    - debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit
      arches
    - debian/rules: Use dh_python2

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2012 09:44:25 -0500

net-snmp (5.4.3~dfsg-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Trivial lintian fix: don't use braces in libsnmp-dev.install
  * Fix pending l10n issues. Debconf translations:
    - Korean (si-cheol KO).  Closes: #630948
    - Slovak (Slavko).  Closes: #634988
    - Serbian (Zlatan Todoric).  Closes: #635066
    - Serbian Latin (Zlatan Todoric).  Closes: #635067
    - Catalan; (Innocent De Marchi).  Closes: #641829

 -- Christian Perrier <bubulle@debian.org>  Mon, 19 Dec 2011 07:34:31 +0100

net-snmp (5.4.3~dfsg-2.3ubuntu3) precise; urgency=low

  * Build using dh_python2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Dec 2011 15:48:05 +0100

net-snmp (5.4.3~dfsg-2.3ubuntu2) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 20:49:15 +0000

net-snmp (5.4.3~dfsg-2.3ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - net-snmp-config: Use bash.
    - Removed multiuser option when calling update-rc.d.
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in
      snmpcmd.1.
    - debian/snmpd.postinst: Source debconf before doing work.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
    - debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit
      arches.

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 27 Aug 2011 18:10:55 +0000

net-snmp (5.4.3~dfsg-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix for init script status command when trapd is not running.  Thanks to
    Steve Camfield <steve.camfield@scamfield.co.uk> for the patch
    (closes: #610306)

 -- Stephen Gran <sgran@debian.org>  Sat, 27 Aug 2011 09:10:09 +0000

net-snmp (5.4.3~dfsg-2.2ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian (LP: #780149).  Remaining changes:
    - net-snmp-config: Use bash.
    - Removed multiuser option when calling update-rc.d.
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in
      snmpcmd.1.
    - debian/snmpd.postinst: Source debconf before doing work.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
    - debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit
      arches.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 May 2011 06:14:05 +0100

net-snmp (5.4.3~dfsg-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd-* by updating 44_nlist_kvm.patch to detect nlist
    (in libbsd), thanks to Jakub Wilk (Closes: #625985).
  * Add build-dependency on libbsd-dev on kfreebsd-* accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 09 May 2011 11:12:31 +0200

net-snmp (5.4.3~dfsg-2.1) unstable; urgency=high

  [ Julien Cristau ]
  * Non-maintainer upload to fix FTBFS (closes: #625730).
  * Don't hardcode SHELL to /bin/sh in Makefile.top, libtool wants bash
    (closes: #617212).
  * Add missing libraries to link commands to make newer gcc happy (closes:
    #555767, #615756).

  [ Cyril Brulebois ]
  * Do the 3.0 (quilt) dance to get Julien's patches applied.
  * Add some bug closures.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 07 May 2011 12:14:26 +0200

net-snmp (5.4.3~dfsg-2ubuntu2) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 07 May 2011 23:29:06 +0100

net-snmp (5.4.3~dfsg-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Set Ubuntu maintainer address.
    - net-snmp-config: Use bash (LP: #104738)
    - Removed multiuser option when calling update-rc.d (LP: #254261)
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in snmpcmd.1
      (LP: #250459)
    - debian/snmpd.postinst: source debconf before doing work. (LP: #589056)
    - debian/snmp.preinst, debian/snmp.prerm: kill any/all processes owned by
      snmp user before install/uninstall (LP: #573391)
    - Add apport hook (LP: #533603):
      - debian/control: Build-depends on dh-apport.
      - debian/rules:
        + Add --with apport.
        + override_dh_apport to install hook on snmpd package only.
     - debian/patches/ubntu-fix-lp-58728.patch: Fix row creation for 64bit
       arches. (LP: #587828)
     - Fix build failures with ld --no-add-needed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Jan 2011 00:35:28 +0000

net-snmp (5.4.3~dfsg-2) unstable; urgency=high

  * Add libperl-dev to libsnmp-dev dependencies (Closes: #608794)
  * Add missing include to 61_vacm_missing_dependency_check.patch
    (Closes: #602809)
  * High urgency due to RC bug fixes

 -- Jochen Friedrich <jochen@scram.de>  Wed, 05 Jan 2011 13:03:32 +0100

net-snmp (5.4.3~dfsg-1ubuntu5) natty; urgency=low

  * Fix build failure with ld --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 23:45:33 +0000

net-snmp (5.4.3~dfsg-1ubuntu4) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:05:05 +0000

net-snmp (5.4.3~dfsg-1ubuntu3) maverick; urgency=low

  * debian/patches/ubuntu-fix-lp-587828.patch: Fix row creation for 64bit arches.
    (LP: #587828)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 25 Aug 2010 10:18:45 -0400

net-snmp (5.4.3~dfsg-1ubuntu2) maverick; urgency=low

  * No-change rebuild against current debhelper to drop sizable upstream
    changelog.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Aug 2010 08:34:07 +0200

net-snmp (5.4.3~dfsg-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Set Ubuntu maintainer address.
    - net-snmp-config: Use bash. (LP: #104738)
    - Removed multiuser option when calling update-rc.d. (LP: #254261)
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in snmpcmd.1
      (LP: #250459)
    - debian/snmpd.postinst: source debconf before doing work, LP: #589056
    - debian/snmp.preinst, debian/snmp.prerm: kill any/all processes owned by
      snmp user before install/uninstall, LP: #573391
    - Add apport hook (LP: #533603):
    - debian/{snmp,snmpd}.apport: Added.
    - debian/control: Build-depends on dh-apport.
    - debian/rules: 
      + Add --with apport.
      + override_dh_apport to install hook on snmpd package only.
   * Dropped patches:
     - debian/patches/99-fix-ubuntu-div0.patch: Fix dvision by zero.. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 28 Jun 2010 14:59:36 -0400

net-snmp (5.4.3~dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #559109)
    - includes fix for CVE-2008-4309
    - includes fix for CVE-2008-6123 (Closes: #516801)
    - AgentX support listens on localhost (only) by default
    - support for monitoring large disks (>2Tb)
    - improved handling of multiple matching access control entries
  * Remove patches included upstream:
    - 31_silence_subcontainer.patch
    - 57_fix_ipv6_memleak.patch
    - 59_fix_python.patch
  * Update patches:
    - 03_makefiles.patch
    - 07_docfiles.patch
    - 08_defaultconfig.patch
    - 32_mnttab_path.patch
    - 56_manpage.patch (Closes: #582400)
    - 60_libsensors_api.patch (Closes: #575810)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards version to 3.8.4
  * Moved snmp.conf from snmp to libsnmp15
  * Don't bind to 172.0.0.1 in snmpd.default anymore. This is now
    done in the upstream sample snmpd.conf file. Trying to bind to
    127.0.0.1 in both places will make snmpd fail to start, at all.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 10 Jun 2010 18:02:54 +0200

net-snmp (5.4.2.1~dfsg-5) unstable; urgency=low

  * Add conditional depends back that were lost in the build system
    change (Closes: #560408)
  * Install all provided NET-SNMP MIBs.
  * Install snmp.conf with empty MIB list so snmp tools work without
    complaining about missing MIBs. (Closes: #559200)
  * Add /usr/share/mibs/site and /usr/share/snmp/mibs to MIB search path
    (Closes: #560371)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 15 Dec 2009 14:59:44 +0100

net-snmp (5.4.2.1~dfsg-4) unstable; urgency=low

  * Update 26_kfreebsd.patch with patch from Petr Salinger
    <Petr.Salinger@seznam.cz> (Closes: #557244).
  * Applied patch from Jakub Wilk <ubanus@users.sf.net> to make the
    python module compile with python2.6 (Closes: #557540).
  * Suggests snmp-mibs-downloader from contrib to download MIBs.
    Remove the download scripts from this package (Closes: #557434, #557682)
  * Move net-snmp-config to libsnmp15 as it contains platform dependent
    code (Closes: #558488). Also clean up old Replaces / Conflicts.
  * Add patch from Pino Toscano <pino@kde.org> for hurd-i386 support.
    Closes: #530289.
  * Provide a new option --base-lib-cflags for CFLAGS without perl dependent
    stuff. (Closes: #502806)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 01 Dec 2009 18:40:38 +0100

net-snmp (5.4.2.1~dfsg0ubuntu1-0ubuntu4) maverick; urgency=low

  * debian/snmpd.postinst: source debconf before doing work, LP: #589056
  * debian/snmp.preinst, debian/snmp.prerm: kill any/all processes owned by
    snmp user before install/uninstall, LP: #573391

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 22 Jun 2010 14:04:48 -0500

net-snmp (5.4.2.1~dfsg0ubuntu1-0ubuntu3) maverick; urgency=low

  * SECURITY UPDATE: access restriction bypass
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=516801
    - http://net-snmp.svn.sourceforge.net/viewvc/net-snmp?view=rev&revision=17367
    - CVE-2008-6123

 -- Corey Wright <undefined@pobox.com>  Mon, 31 May 2010 00:00:29 -0500

net-snmp (5.4.2.1~dfsg0ubuntu1-0ubuntu2) lucid; urgency=low

  * Add apport hook (LP: #533603):
    - debian/{snmp,snmpd}.apport: Added.
    - debian/control: Build-depends on dh-apport.
    - debian/rules: 
      + Add --with apport.
      + override_dh_apport to install hook on snmpd package only.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sun, 28 Mar 2010 00:25:13 -0400

net-snmp (5.4.2.1~dfsg0ubuntu1-0ubuntu1) lucid; urgency=low

  * Repackage upstream tarball to re-add the MIBs: even if they are not
    modifiable (which is questionable), this is not a reason to keep them
    out of Ubuntu main.
  * Revert the changes to prompt about MIB downloads.
  * Call dh_installinit correctly to avoid installing links in rc[06].d
  * Temporarily re-add postinst snippet to clean up rc[06].d links left by
    the previous upload.
  * Fix egg name listed in debian/rules, apparently needed to fix another
    build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 12 Dec 2009 00:05:34 -0800

net-snmp (5.4.2.1~dfsg-3ubuntu2) lucid; urgency=low

  * Fix FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Nov 2009 13:20:26 -0500

net-snmp (5.4.2.1~dfsg-3ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Set Ubuntu maintainer address.
    - net-snmp-config: Use bash. (LP: #104738)
    - Removed multiuser option when calling update-rc.d. (LP: #254261)
    - debian/snmpd.init: LSBify the init script.
    - debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in snmpcmd.1
      (LP: #250459)
    - debian/patches/99-fix-ubuntu-div0.patch: Fix dvision by zero.
      (LP: #426813).
   * Dropped patches:
     - debian/patches/101-fix-ipalias.patch: Applied upstream.
     - debian/patches/99-fix-net-snmp-syslog.patch: Applied upstream.
     - debian/patches/99-fix-perl-counter-in-subagent.patch: Applied upstream.
     - ebian/patches/103-fix-ubuntu-lmsensors.patch: No longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Nov 2009 01:27:00 +0000

net-snmp (5.4.2.1~dfsg-3) unstable; urgency=low

  * Fix typo in NEWS.
  * Add make to libsnmp-base dependency (Closes: #556632).
  * Use dh7 build system instead of cdbs (Closes: #552976).
  * Fix man page .so links so they get installed correctly.
  * Replace download host for RFCs for a faster one and add some better
    documentation that this step takes some time and that it can be repeated
    in case of a problem. (Closes: #556633, #556778, #556787, #556788)

 -- Jochen Friedrich <jochen@scram.de>  Wed, 18 Nov 2009 16:54:11 +0100

net-snmp (5.4.2.1~dfsg-2) unstable; urgency=low

  * Add upstream patch R17470 to fix debugging output and numeric OID
    reporting. (Closes: #524203, #509562) Thanks to Luca Ferroni
    <luca.ferroni@labs.it> for the patch.
  * Fix long description of debug package.
  * Switch to libsensors4. (Closes: #518898) Thanks to Jonathan Nieder
    <jrnieder@gmail.com> for the patch.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 12 Nov 2009 16:17:40 +0100

net-snmp (5.4.2.1~dfsg-1) unstable; urgency=low

  * New upstream version
    - includes patch for CVE-2008-6123 (Closes: #516801)
  * remove patches applied upstream:
    - 55_cve2008_4309.patch
    - 54_fix_xen.patch
    - 53_fix_python_regression.patch
    - 52_suppress_registration_warnings.patch
    - 51_allow_g_groupname.patch
    - 50_cve2008_0960.patch
    - 49_cve2008_2292_python.patch
    - 48_cve2008_2292_perl.patch
    - 47_prevent_partial_inserts.patch
    - 46_ifname_crop.patch
    - 45_process_race.patch
    - 43_snmp_logging.patch
    - 41_snmptrapd_close_handles.patch
  * Updated patches:
    - 31_silence_subcontainer.patch: Use upstream changeset 17254
    - 25_duplicate_iftable.patch: Regenerated
    - 03_makefiles.patch: Install Makefile.mib
  * Removed non-free MIBS from distribution (Closes: #498475)
  * Add debug package
  * Implement "status" action in the init.d script. (Closes: #528107)
    Thanks to Peter Eisentraut <petere@debian.org> for the patch
  * Fix LSB dependencies (Closes: #541366). Thanks to Petter Reinholdtsen
    <pere@hungry.com> for the patch.
  * Let snmpd run as group snmp (Closes: #520724). Thanks to Russell Coker
    <russell@coker.com.au> for the patch.
  * Update standards version to 3.8.3.
  * Get rid off lintian warnings.
  * Fix memory leak when multiple interfaces have the same IPv6 address,
    such as link-local addresses when VLAN subinterfaces are in use.
    (Closes: #531056). Thanks to John Morrissey <jwm@horde.net> for the
    patch.
  * Rework build system (Closes: #528106)
  * Change default configuration to make snmp daemons run without MIBs.

 -- Jochen Friedrich <jochen@scram.de>  Mon, 09 Nov 2009 18:29:10 +0100

net-snmp (5.4.1~dfsg-12ubuntu7) karmic; urgency=low

  * debian/patches/99-fix-ubuntu-div0.patch: Fix division by zero.
    (LP: #426813).

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 28 Sep 2009 14:02:16 -0400

net-snmp (5.4.1~dfsg-12ubuntu6) karmic; urgency=low

  * debian/patches/101-fix-ipalias.patch : Fix flooding syslog - 
    Syslog fills with hundreds of these errors if you have a network
    interface, e.g. eth2, with no IP address, but you have an alias,
    e.g. eth2:1, that does have an IP address (and netmask).
    (LP: #270713)
  * debian/patches/103-fix-ubuntu-lmsensors.patch: Point to the right
    place for /etc/sensors3.conf. (LP: #192745)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Sep 2009 12:19:41 -0400

net-snmp (5.4.1~dfsg-12ubuntu5) karmic; urgency=low

  * debian/patches/99-fix-perl-counter-in-subagent.patch: Fix for Counter64 in
    perl subagent. (LP: #406171)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 04 Sep 2009 12:10:01 -0500

net-snmp (5.4.1~dfsg-12ubuntu4) karmic; urgency=low

  * debian/patches/99-fix-net-snmp-syslog.patch: Fixes "invalid syslog facility".
   (LP: #369577)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 24 Jun 2009 14:44:51 -0400

net-snmp (5.4.1~dfsg-12ubuntu3) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Mar 2009 13:00:18 +0000

net-snmp (5.4.1~dfsg-12ubuntu2) jaunty; urgency=low

  * Python 2.6 transition, debian/rules (LP: #338556):
    - Include /usr/share/python/python.mk.
    - Use py_sitename and py_setup_install_args macros to install all python
      stuffs in the right places (/usr/lib/python*/*-packages/) and rebuild.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 12 Mar 2009 00:38:57 +0100

net-snmp (5.4.1~dfsg-12ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Set Ubuntu maintainer address.
    - net-snmp-config: Use bash. LP: #104738)
  * Removed multiuser option when calling update-rc.d (LP: #254261).
  * debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in snmpcd.1
    (LP: #250459)
  * debian/snmp.init: LSBify the snmpd.init script. Add status notification,
    based on initial patch by Gary Coady. (LP: #43575)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 17 Dec 2008 00:58:14 +0000

net-snmp (5.4.1~dfsg-12) unstable; urgency=high

  * Urgency high because of RC bug fix.
  * Modify start action so it doesn't fail if the service is already running.
    (Closes: #505237)
  * Update Romanian translation (Closes: #505767)
    Thanks to Eddy Petrișor <eddy.petrisor@gmail.com>.

 -- Jochen Friedrich <jochen@scram.de>  Tue, 16 Dec 2008 15:29:28 +0100

net-snmp (5.4.1~dfsg-11ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Set Ubuntu maintainer address.
    - net-snmp-config. Use bash (LP: #104738)
  * Removed multiuser option when calling update-rc.d (LP: #254261).
  * debian/patches/52_fix_snmpcmd_1_typo.patch: Adjust a typo in snmpcd.1
    (LP: #250459)
  * debian/snmp.init: LSBify the snmpd.init script. Add status notification,
    based on inital patch by Gary Coady. (LP: #43575)
  * Dropped debian/patches/51_CVE-2008-0960.patch: Use debian's instead.
  * Dropped debian/patches/54_fix_registration_error.patch: Use debian's instead. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 Nov 2008 02:59:05 +0000

net-snmp (5.4.1~dfsg-11) unstable; urgency=high

  * This update fixes the following security issue:
    - CVE-2008-4309: A bug in the getbulk handling code could let anyone
      with even minimal access crash the agent. (Closes: #504150)

 -- Jochen Friedrich <jochen@scram.de>  Mon, 03 Nov 2008 17:58:35 +0100

net-snmp (5.4.1~dfsg-10) unstable; urgency=high

  * Fix python regression introduced by fix of CVE-2008-2292 (Closes: #497656)
  * Fix xen dom0 problems (Closes: #500717)

 -- Jochen Friedrich <jochen@scram.de>  Mon, 06 Oct 2008 22:35:57 +0200

net-snmp (5.4.1~dfsg-9) unstable; urgency=low

  * Ack NMU (Closes: #485945)
  * Updated standards version to 3.8.0 (no changes)
  * Update debconf translations:
   o sv: Martin Bagge <brother@bsnet.se> (Closes: #491778)
   o ja: Hideki Yamane (Debian-JP) <henrich@debian.or.jp> (Closes: #494118)
  * Add patch to support -g {groupname} (Closes: #441871, #468577, #485948)
  * Add official patch to suppress annoying warning in syslog (Closes: #493281)
  * Fix default stop section in LSB header of start script.

 -- Jochen Friedrich <jochen@scram.de>  Fri, 29 Aug 2008 18:13:49 +0200

net-snmp (5.4.1~dfsg-8.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * This update fixes the following security issue:
    - CVE-2008-0960: The authentication code relies on the client specified
      HMAC length which makes it easier for an attacker to match a correct HMAC
      and authentication if a single byte HMAC is supplied (Closes: #485945)

 -- Nico Golde <nion@debian.org>  Thu, 12 Jun 2008 22:22:52 +0200

net-snmp (5.4.1~dfsg-8) unstable; urgency=low

  * NACK NMU as the patch broke perl (Closes: #483588)
  * Really fix CVE-2008-2292 using two upstream patches (Closes: #482333)
  * Update nl translation (Closes: #460587)
  * Update patch for support of long interface names to upstream version

 -- Jochen Friedrich <jochen@scram.de>  Tue, 03 Jun 2008 13:06:57 +0200

net-snmp (5.4.1~dfsg-7.1ubuntu6) intrepid; urgency=low

  * debian/snmpd.init: Fix snmpd script error. (LP: #270961) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 22 Sep 2008 14:18:08 -0400

net-snmp (5.4.1~dfsg-7.1ubuntu5) intrepid; urgency=low

  * debian/snmpd.init: LSBify the snmpd.init script. And add status
    notification, based on inital patch by Gary Coady. (LP: #43575) 
  * debian/patches/54_fix_registration_error.patch: Surpresses annoying
    registrations in startup. (LP: #200614) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 12 Sep 2008 13:21:40 -0400

net-snmp (5.4.1~dfsg-7.1ubuntu4) intrepid; urgency=low

  * Fix lsb headers in init script: stop in single user mode 
    (LP: #254261). 

 -- Mathias Gug <mathiaz@ubuntu.com>  Thu, 21 Aug 2008 23:07:59 -0400

net-snmp (5.4.1~dfsg-7.1ubuntu3) intrepid; urgency=low

  [ Salvatore Palma ]
  * Add 52_fix_snmpcmd_1_typo.patch patch to adjust a typo in 
    snmpcmd.1 (LP: #250459). 

  [ Mathias Gug ]
  * Remove multiuser option when calling update-rc.d. (LP: #254261).

 -- Mathias Gug <mathiaz@ubuntu.com>  Tue, 12 Aug 2008 23:03:05 -0400

net-snmp (5.4.1~dfsg-7.1ubuntu2) intrepid; urgency=low

  * SECURITY UPDATE: HMAC authentication spoofing.
  * debian/patches/51_CVE-2008-0960.patch: fixes HMAC authentication spoofing. 
  * debian/patches/52_use_right_config_file.patch: Use the right configuration
    file for lmsensors. (LP: #192745)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 16 Jun 2008 15:47:18 +0000

net-snmp (5.4.1~dfsg-7.1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Set Ubuntu maintainer address.
    - net-snmp-config: Use bash. LP: #104738.
    - Add missing Replaces: libsnmp9-dev (<< 5.4~dfsg) to 
      libsnmp-base to avoid file confict on dapper->hardy upgrades. 
      (LP: #203610)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 27 May 2008 13:06:56 -0500

net-snmp (5.4.1~dfsg-7.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix buffer overflow in the python and perl module (__snprint_value
    function)that can be exploited via large OCTETSTRING in an
    attribute value pair (AVP) leading to arbitrary code
    execution (CVE-2008-2292; Closes: #482333).

 -- Nico Golde <nion@debian.org>  Sat, 24 May 2008 13:12:16 +0200

net-snmp (5.4.1~dfsg-7) unstable; urgency=low

  * Add some more Conflicts: and Replaces: magic to allow moving
    net-snmp-config to libsnmp-base. (Really Closes: #443420, #443396, #261686)
  * Update debhelper to version 6
  * Add patch for support of long interface names (Closes: #468260)
    Thanks to Jonathan Steinert <debian@hachi.kuiki.net> for the patch.
  * Add upstream patch to avoid a crash on pppoe tunnels (Closes: #451294)
  * Convert copyright to UTF-8.
  * Fix spelling error in NEWS: deamon -> daemon.

 -- Jochen Friedrich <jochen@scram.de>  Tue, 29 Apr 2008 18:37:23 +0200

net-snmp (5.4.1~dfsg-6) unstable; urgency=low

  * Add Noah Meyerhans as uploader
  * Add upstream patch for process regression (Closes: #460050)
  * Fix build system for Perl 5.10 (Closes: #463059)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 29 Jan 2008 14:43:18 +0100

net-snmp (5.4.1~dfsg-5) unstable; urgency=low

  * Add upstream changeset 16721:
   o snmplib: PATCH: 1806336: fix -LS option parsing (Closes: #444986)
  * Add patch from Petr Salinger <Petr.Salinger@seznam.cz>:
   o search nlist() in libkvm. (Closes: #449550)
  * Add finish translation from Esko Arajärvi <edu@iki.fi>.
    (Closes: #448421).
  * Updated standards version to 3.7.3
   o Add Homepage tag
   o rename XS-Vcs-* to Vcs-*

 -- Jochen Friedrich <jochen@scram.de>  Fri, 28 Dec 2007 12:43:21 +0100

net-snmp (5.4.1~dfsg-4ubuntu4) hardy; urgency=low

  * Add missing Replaces: libsnmp9-dev (<< 5.4~dfsg) to 
    libsnmp-base to avoid file confict on dapper->hardy upgrades
    (LP: #203610)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Mar 2008 17:47:13 +0100

net-snmp (5.4.1~dfsg-4ubuntu3) hardy; urgency=low

  * Rebuild with recent python-central.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Mar 2008 12:46:06 +0000

net-snmp (5.4.1~dfsg-4ubuntu2) hardy; urgency=low

  * net-snmp-config: Use bash. LP: #104738.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Feb 2008 14:45:12 +0000

net-snmp (5.4.1~dfsg-4ubuntu1) hardy; urgency=low

  * Merge from debian unstable.
  * Remaining Ubuntu changes:
    - Remove stop links from rc0 and rc6
    - Munge Maintainer field as per spec.
  * Ubuntu changes dropped:
    - Symlink common files between the packages, CDBS ought to handle that
      for us automatically.
  * The latest Debian changes has dropped history from the changelog. Slot in
    the Ubuntu changes as best I can. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Sat, 08 Dec 2007 14:59:50 +1100

net-snmp (5.4.1~dfsg-4) unstable; urgency=low

  * Do it right this time.

 -- Jochen Friedrich <jochen@scram.de>  Fri, 21 Sep 2007 21:20:30 +0200

net-snmp (5.4.1~dfsg-3) unstable; urgency=low

  * Add some Conflicts: and Replaces: magic to allow moving
    net-snmp-config to libsnmp-base. (Closes: #443420, #443396, #261686)

 -- Jochen Friedrich <jochen@scram.de>  Fri, 21 Sep 2007 16:47:48 +0200

net-snmp (5.4.1~dfsg-2) unstable; urgency=low

  * Fixed extra MIB patch, so the extra MIBS are really added to the
    Debian package.
  * Update of GNOME-SMI (fixed a typo in the actual OID)
  * Finally move 5.4.1 to unstable (Closes: #441948, #264938, #416965)
  * Fixed snmp.install to not include mib2c-update.
  * Fixed clean target.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 20 Sep 2007 16:40:28 +0200

net-snmp (5.4.1~dfsg-1) experimental; urgency=low

  * New upstream version
  * Remove patches included in new upstream.
  * Fix double inclusion of net-snmp-config man page
  * Include stuff from 5.3.1-8:
   o Rearrange snmpd.postrm to not run deluser twice.
   o Add lintian override for false alarm caused by
     the Smith review project.
   o Add patch to snmptrapd to close its file handles (Closes: #391203)

 -- Jochen Friedrich <jochen@scram.de>  Thu, 02 Aug 2007 14:43:20 +0200

net-snmp (5.4~dfsg-2) experimental; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #426232
  * Debconf translation updates:
    - Galician. Closes: #426836
    - Vietnamese. Closes: #426842
    - Czech. Closes: #426864
    - Swedish. Closes: #426882
    - Basque. Closes: #426933
    - Portuguese. Closes: #427065
    - Danish. Closes: #427158
    - Spanish. Closes: #427377
    - German. Closes: #427542
    - Russian. Closes: #427820
    - Italian. Closes: #428151
    - Brazilian Portuguese. Closes: #428885, #428886
    - Tamil. Closes: #428969
    - French. Closes: #429814

  [ Jochen Friedrich ]
  * Include stuff from 5.3.1-6:
   o Rename dev Package to libsnmp-dev as suggested by Kurt Roeckx
     <kurt@roeckx.be> and Steve Langasek <vorlon@debian.org>
  * Remove old template entry (Closes: #422972)
  * Set PATH in init script (Closes: #429442)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 03 Jul 2007 14:54:00 +0200


net-snmp (5.4~dfsg-1) experimental; urgency=low

  [ Jochen Friedrich ]
  * New upstream version (Closes: #279670, #412924, #416965)
  * Remove official patches from 5.3.1 tree
  * Add official patches
   o memory leaks in ipAddress and CirdRoute tables (SF #1610155)
   o tcp connection table leaks fds (SF #1611524)
  * Patch from upstream svn for snmpd.8 man page
  * Add python module


  [ Thomas Anders ]
  * Change makefile patch for 5.4.rc3
  * Change docfile patch for 5.4


 -- Jochen Friedrich <jochen@scram.de>  Fri, 13 Apr 2007 16:16:02 +0200

net-snmp (5.3.1-6ubuntu2) gutsy; urgency=low

  * Do not install the upstream changelog in libsnmp10 and libsnmp-base.
  * Symlink files common in libsnmp10 and libsnmp-base.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Oct 2007 14:55:58 +0200

net-snmp (5.3.1-6ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - Remove stop links from rc0 and rc6
    - Munge Maintainer field as per spec.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 23 May 2007 08:58:46 +1000

net-snmp (5.3.1-5ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - Remove stop links from rc0 and rc6
  * Munge Maintainer field as per spec. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 10 May 2007 22:20:23 +1000

net-snmp (5.3.1-3) unstable; urgency=low

  * Move AgentX socket to RFC location.
  * Update pktinfo patch from Jan Andres <jandres@gmx.net>
  * Add official patches.
   o disabling agentX breaks snmptrapd auth (SF #1527661)
   o SNMP.pm gettable() patch (SF #1532044)
   o 8 byte IpAddress value for 64bit non-linux systems (SF #1550635)
   o memory leaks in ipAddress and CirdRoute tables (SF #1610160)
  * Synchronize tree to 5.2.3-7.
   o Don't fail postrm on non-existant deluser (Closes: #398540)
   o Add German debconf translation (Closes: #397823)
     Thanks to Helge Kreutzmann <debian@helgefjell.de>.
   o Add Italian debconf translation (Closes: #398047)
     Thanks to Luca Monducci <luca.mo@tiscali.it>.
   o Add patch to hardcode mount table location (Closes: #370132)
   o Add Romanian translation (Closes: #403949)
     Thanks to stan ioan-eugen <stan.ieugen@gmail.com>.
   o Update patch from Petr Salinger <Petr.Salinger@seznam.cz> for
     kFreeBSD and Hurd support. (Closes: #402116)
   o Fix restart of snmpd (Closes: #402568, #401306)
   o Add Spanish translation (Closes: #402685)
     Thanks to Javier Fernández-Sanguino Peña <jfs@computer.org>
   o Add Brazilian Portuguese translation (Closes: #403549)
     Thanks to André Luís Lopes" <andrelop@debian.org>
   o Don't fail postrm on non-existant deluser (Closes: #398540)
   o Add LSB section to startup file.
   o Add Thomas Anders as co-Maintainer.
   o Add missing copyrights to copyright file.
   o Fix spelling errors and wrong path names in documentation.

 -- Jochen Friedrich <jochen@scram.de>  Wed, 11 Apr 2007 13:04:00 +0200

net-snmp (5.3.1-2) experimental; urgency=low

  * Add kfreebsd support. Thanks to Petr Salinger
    <Petr.Salinger@seznam.cz> (Closes: #380252)
  * Add Russian translation. Thanks to Yuri Kozlov
    <kozlov.y@gmail.com> (Closes: #380300)
  * Update Czech translation. Thanks to Miroslav Kure
    <kurem@upcase.inf.upol.cz> (Closes: #380528)

 -- Jochen Friedrich <jochen@scram.de>  Mon, 31 Jul 2006 16:57:13 +0200

net-snmp (5.3.1-1) experimental; urgency=low

  * New upstream version (Closes: #358079, #252893)
  * Convert build system to cdbs. (Closes: #323074)
  * Add patch from Lars Ellenberg to answer with the same
    IP address the request was sent to. (Closes: #111263)
  * Add patch from Sven Schnelle to prevent duplicate iftable
    entries (Closes: #368617)

 -- Jochen Friedrich <jochen@scram.de>  Wed, 26 Jul 2006 12:08:46 +0200

net-snmp (5.2.3-4ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - remove stop links from rc0 and rc6

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 28 Nov 2006 12:29:34 +0000

net-snmp (5.2.2-5ubuntu1) edgy; urgency=low

  * Remove stop script symlinks from rc0 and rc6.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 15 Sep 2006 17:32:44 +0100

net-snmp (5.2.2-4) unstable; urgency=low

  * Add French translation. Thanks to Thomas Huriaux
    <thomas.huriaux@gmail.com> (Closes: #357928)
  * Add Czech translation. Thanks to Miroslav Kure
    <kurem@upcase.inf.upol.cz> (Closes: #358845)
  * Add Dutch translation. Thanks to Vincent Zweije
    <zweije@xs4all.nl> (Closes: #360441)
  * Add Galician translation. Thanks to Jacobo Tarrio
    <jtarrio@trasno.net> (Closes: #361778)
  * Add Portuguese translation. Thanks to Rui Branco
    <ruipb@debianpt.org> (Closes: #375018)
  * Add patch from upstream to correct sysObjectID.
    (Closes: #363399, #374065)
  * Rearrange snmpd.postrm to not run deluser twice.
  * Change build-depends to not depend on automake but on
    automake1.9 (Closes: #376561)
  * Build with -Wall (Closes: #323074)
  * Add patch to make -Z support zero values. Path thanks
    to Peder Chr. Norgaard <Peder.Chr.Norgaard@ericsson.com>
    (Closes: #366817)
  * Make init script support reloading configuration without
    restart. (Closes: #367071)
  * Execute dh_fixperm before dh_strip (Closes: #360253)

 -- Jochen Friedrich <jochen@scram.de>  Tue,  4 Jul 2006 15:23:54 +0200

net-snmp (5.2.2-3) unstable; urgency=low

  * Add short description to debconf templates (Closes: #355119)
  * Add Danish translation. Thanks to Claus Hindsgaul
    <claus.hindsgaul@gmail.com> (Closes: #355375)
  * Add patch to add m4 directory with extracted net-snmp specific
    aclocal definitions. Required to make libtool work correctly
    (Closes: #355850, #536123)

 -- Jochen Friedrich <jochen@scram.de>  Sat, 11 Mar 2006 12:10:10 +0100

net-snmp (5.2.2-2) unstable; urgency=low

  * Redo CVS Checkout from alioth (Closes: #354779)

 -- Jochen Friedrich <jochen@scram.de>  Wed, 01 Mar 2006 20:32:01 +0100

net-snmp (5.2.2-1) unstable; urgency=low

  * New upstream release
  * Added man page for snmpnetstat53
  * Fix typos in man pages. Thanks to Nicolas François
    <nicolas.francois@centraliens.net> (Closes: #326515, #326530, #326532).
  * Fix libsnmp9-dev dependencies. Thanks to Ahmed Baizid <ahmed@baizid.org>
    (Closes: #343577).
  * Listen on 127.0.0.1 by default and turn off SMUX port in
    /etc/defaults/snmpd. (Closes: #294309, #314907, #216108)
  * Remove dangling symlinks /etc/doc/snmp[d] -> libsnmp5 which might
    eventually be left over from old packages. Thanks to "Mario 'BitKoenig'
    Holbe" <Mario.Holbe@TU-Ilmenau.DE> (Closes: #336365)
  * Run snmpd as snmp user by default (Closes: #275374, #337053)
  * Depend and Builddepend libsnmpd9-dev on procps. Thanks to
    Peder Chr. Norgaard <Peder.Chr.Norgaard> for pointing this out.
    (Closes: #325840)
  * Fix man page section mismatch found by lintian.

 -- Jochen Friedrich <jochen@scram.de>  Wed, 23 Feb 2006 15:05:32 +0100

net-snmp (5.2.1.2-4) unstable; urgency=low

  * Version builddep on libssl-dev and rebuild, for openssl transition
    Closes: #334010 Thanks to Henrique de Moraes Holschuh <hmh@debian.org>.

 -- Jochen Friedrich <jochen@scram.de>  Sat, 15 Oct 2005 09:24:26 +0200

net-snmp (5.2.1.2-3) unstable; urgency=low

  * Apply official library-version-update-5.2.1.2.patch to clean up the
    version mess (Closes: #322500)
  * Replace error_snmp6.patch by upstream systemstats-snmp6.patch
  * Added upstream inetNetToMedia-01.patch (Closes: #323038)
  * Added ipaddress_linux.c-in_len-out_len-type.patch from
    Julien BLACHE <jblache@debian.org> (Closes: #321713)

 -- Jochen Friedrich <jochen@scram.de>  Mon,  5 Sep 2005 21:19:30 +0200

net-snmp (5.2.1.2-2) unstable; urgency=low

  * Don't print error message if ipv6 module is not loaded. (Closes: #319741)
  * Added conflicts against all packages using libsnmp5 due to upstream
    changing the binary API without increasing SONAME. See: #322500

 -- Jochen Friedrich <jochen@scram.de>  Thu, 28 Jul 2005 20:19:09 +0200

net-snmp (5.2.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #293902). Contains fix for CAN-2005-2177
  * Acknowledge NMU (Closes: #302195, #302386). Many thanks to
    Henrique de Moraes Holschuh for his quick action!
  * Including ucd-snmp/diskio (Closes: #264938)
  * Don't relink libraries (Closes: #243870)
  * Link against libsensors on all archs again (Closes: 304103)
  * Include fixproc (Closes: #310692)
  * Updated standards version to 3.6.2
  * Change to patch based build system (Closes: #292412)
  * Updated GNOME-SMI.txt

 -- Jochen Friedrich <jochen@scram.de>  Wed, 20 Jul 2005 21:47:32 +0200

net-snmp (5.1.2-6.1) unstable; urgency=emergency

  * NMU (with permission from maintainer)
  * debian/rules: clean up libdir in all .la files installed to
    /usr/lib, so as to avoid breaking all libtool builds (closes: #302195).

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 31 Mar 2005 12:14:11 -0300

net-snmp (5.1.2-6) unstable; urgency=medium

  * Backed out the unauthorized MIB changes. lm-sensors updates.
    Closes: #274624, Downgrades: #249904
  * Fixed debian/fixman to not mangle the man pages (Closes: #273779).
  * Fixed snmpset.1 man page. Thanks to
    Nicolas François (nicolas.francois@centraliens.net
    (Closes: #274431)
  * Fix from CVS for v3 enginetime wrapping problem (Closes: #271543).
  * Backed out patch to skip over interfaces without stats.
    This might have an impact on #254571, #261701. Should be retested.

 -- Jochen Friedrich <jochen@scram.de>  Fri,  1 Oct 2004 12:54:23 +0200

net-snmp (5.1.2-5) unstable; urgency=medium

  * Commented out remaining MemShared message
    Thanks to Johan Thelmén (Really closes: #244721)
  * New version of lm-sensors from upstream (Thanks to Mike Slifcak).
    lm-sensors is now enabled again on i386.
    Closes: #264442, #267691, #249839, #249904, 266270

 -- Jochen Friedrich <jochen@scram.de>  Thu, 23 Sep 2004 18:45:41 +0200

net-snmp (5.1.2-4) unstable; urgency=medium

  * Fix from CVS for scanning 64bit counters from /proc (Closes: #210364)

 -- Jochen Friedrich <jochen@scram.de>  Fri, 27 Aug 2004 10:12:07 +0200

net-snmp (5.1.2-3) unstable; urgency=high

  * Fixed init script to not depend on defaults file (Closes: #267414)

 -- Jochen Friedrich <jochen@scram.de>  Mon, 23 Aug 2004 17:27:47 +0200

net-snmp (5.1.2-2) unstable; urgency=medium

  * Disable lm-sensors support for i386 once again as it's not yet mature
    enough for sarge:
    - It seems to trash memory: (Downgrades: #264442)
    - It doesn't work as expected: #249839, #249904
    - It is a likely candidate for memory leakage (at least it
      looks like the result of sensors_get_label() is never freed)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 17 Aug 2004 00:11:58 +0200

net-snmp (5.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #237890, #236326, #217306, #261624)
    o Linux 2.6 improvements (Closes: #225253, #244721)
    o Misc 64bit processor fixes.
    o Misc perl build and install fixes.
    o Minor improvements to snmpnetstat (IPv6 output)
    o Minor improvements to snmpdelta (error reporting)
  * snmp now recommends perl-modules (Closes: #261687)
  * added watch file.
  * fixed some lintian errors and warnings.

 -- Jochen Friedrich <jochen@scram.de>  Tue, 10 Aug 2004 11:18:31 +0200

net-snmp (5.1.1-2) unstable; urgency=low

  * Fix dependency of lm-sensors
  * Remove library circular dependency (Closes: #229132)

 -- Jochen Friedrich <jochen@scram.de>  Fri,  9 Apr 2004 10:52:34 +0200

net-snmp (5.1.1-1) unstable; urgency=low

  * New upstream release (Closes: #232602, #238129)
    o Improvements on 64 bit architectures.
    o A few minor memory leaks fixed.
    o An extremely large number of minor bug fixes.
    o Many perl module specific bug fixes.
    o snmpd will safely handle more signals.
  * Enabled and fixed lm-sensors, this time for real. Thanks
    to Christopher Price <cprice@cs-home.com> for the patch.
    (Closes: #240502)

 -- Jochen Friedrich <jochen@scram.de>  Tue,  6 Apr 2004 23:27:52 +0200

net-snmp (5.1-5) unstable; urgency=low

  * Enabled lm-sensors support again.
  * Fixed libsnmp-base postinst -> postrm (Closes: #236405)

 -- Jochen Friedrich <jochen@scram.de>  Sat, 13 Mar 2004 09:39:17 +0100

net-snmp (5.1-4) unstable; urgency=low

  * Really fixed libwrap inclusion in net-snmp-config.in
    (Closes: #232396)

 -- Jochen Friedrich <jochen@scram.de>  Mon, 23 Feb 2004 17:20:21 +0100

net-snmp (5.1-3) unstable; urgency=low

  * Applied patch from CVS to fix HOST-RESOURCES-MIB. (Closes: #232374)
  * Applied patch from CVS to fix output of strings containing
    CR or LF chars (bug 864367 on SF). (Closes: #218210)
  * Applied patch from CVS to fix syslog output.
  * Disabled lm-sensors support until kernel module issues are resolved.

 -- Jochen Friedrich <jochen@scram.de>  Sat, 21 Feb 2004 00:29:06 +0100

net-snmp (5.1-2) unstable; urgency=low

  * Fix IPv6 MIB leaking file handles. Thanks to <kaj.niemi@basen.net>
    for pointing out the patch at
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=85071.
    (Closes: #159495)
  * Fixed snmpd.defaults. Thanks to James Samuel
    <james.samuel@uk.easynet.net> for the patch. (Closes: #232394)
  * Fixed libwrap inclusion in net-snmp-config.in (Closes: #232396)
  * Updated shlibs to match version 5.1 (Closes: #232422)

 -- Jochen Friedrich <jochen@scram.de>  Thu, 12 Feb 2004 19:30:57 +0100

net-snmp (5.1-1) unstable; urgency=low

  * New upstream release (Closes: #224382)
  * New maintainer (Closes: #230679)
  * Bumped standards version to 3.6.1
  * Ack old NMUs (Closes: #182426, #186834, #183041)
  * Updated GNOME-SMI.txt
  * Removed duplicate conffiles
  * Fixed description to make litian happy

 -- Jochen Friedrich <jochen@scram.de>  Mon,  9 Feb 2004 23:38:57 +0100

net-snmp (5.0.9-3) unstable; urgency=low

  * Only support lm-sensors on i386 (closes: #216500).

 -- David Engel <david@debian.org>  Wed, 19 Nov 2003 14:13:02 -0600

net-snmp (5.0.9-2) unstable; urgency=low

  * Fixed problem with libsnmp5 depending on itself.
  * Make sure sysconfdir is defined (fixes bad path in manpages).
  * Fixed problem overwriting MIBs (closes: #216034).

 -- David Engel <david@debian.org>  Thu, 16 Oct 2003 14:09:38 -0500

net-snmp (5.0.9-1) unstable; urgency=low

  * New upstream version (closes: #214660)
    - snmp.conf(5) man page is now corrected (closes: #185888).
    - Incorrect behaviour of snmpd allowing to bypass the access
      restrictions using snmpbulkget is corrected (closes: #205952).
  * Updated the debian/copyright file.
  * Changed to work with current libtool and autoconf (closes: $208380).
  * Link libraries with complete dependencies (closes: #199166).
  * Updated package descriptions (closes: #210122, closes: #210017,
    closes: #209704, closes: #209857, closes: #209905, closes: #209839).
  * Added manpages for net-snmp-config, snmpvacm, encode_keychange
    (closes: #182996) and tkmib (closes: #130684) from Jurij Smakov
    <jurij@wooyd.org>.
  * Fixed mib2c to look for config files in the correct places.
  * Enabled support for the lm-sensors MIB (closes: #204543).
  * Use the process name instead of the command-line when matching
    processes with proc config file directives (closes: #204542) from
    Philippe Troin <phil@fifi.org>.
  * Really enabled dlmod support (closes: #180639).
  * Don't use obsolete SO_BSDCOMPAT sockopt (closes: #201853).
  * Don't print SMUX passwords in log file (closes: #195622).
  * Fixed typo in default snmpd.conf (closes: #185366).
  * Don't include build paths in SNMP.so (closes: #184610).
  * Added the BGP4, OSPF and RIPv2 MIBs.
  * Ignore interfaces with no statistics (closes: #159321).
  * Added the GNOME SMI (closes: #196340).

 -- David Engel <david@debian.org>  Tue, 14 Oct 2003 18:12:36 -0500

net-snmp (5.0.8-1) unstable; urgency=low

  * New upstream version.

 -- David Engel <david@debian.org>  Wed, 14 May 2003 17:02:42 -0500

net-snmp (5.0.7-1.1) unstable; urgency=low

  * NMU based on patches by Paul Hampson <Paul.Hampson@anu.edu.au>
  * Add proper dependencies to libsnmp5-dev.  Closes: #183041.
  * Use updated libtool for mips/mipsel.  Closes: #182426.
  * Run debian/fixman.sh using bash.  Closes: #186834.

 -- Daniel Schepler <schepler@debian.org>  Sat, 26 Apr 2003 16:52:18 -0700

net-snmp (5.0.7-1) unstable; urgency=low

  * New upstream version (closes:177127, closes:154323,
    closes:154322).
  * Enabled dlmod support in snmpd (closes:180639).
  * Use current config.guess and config.sub (closes:172501).

 -- David Engel <david@debian.org>  Sun, 23 Feb 2003 23:01:45 -0600

net-snmp (5.0.6-1) unstable; urgency=low

  * New upstream version.
  * Use autoconf2.13 (closes:157117, closes:162441, closes:162781).
  * Commented out example proc, exec, disk and load statements in the
    default snmpd.conf (closes:164028).  Users can re-enable them if
    desired.
  * Added a note to README.Debian about the new snmpcmd command line
    syntax regarding community strings (closes:160198).

 -- David Engel <david@debian.org>  Wed, 23 Oct 2002 09:20:11 -0500

net-snmp (5.0.3-2) unstable; urgency=low

  * Rebuild with perl 5.8.
  * Install additional UCD compatibility headers (closes: #156166).

 -- David Engel <david@debian.org>  Sun,  1 Sep 2002 21:35:12 -0500

net-snmp (5.0.3-1) unstable; urgency=low

  * New upstream version.
  * Linked libraries with libcrypto and libwrap to get proper
    dependencies.  Updated net-snmp-config accordingly
    (closes: #155153).
  * Included the UCD compatibility headers and library
    (closes: #155133).
  * Fixed bad snmpinform symlink (closes: #155196).
  * Fixed mib2c to look in /etc/snmp for config files
    (closes: #155157).

 -- David Engel <david@debian.org>  Mon,  5 Aug 2002 21:01:27 -0500

net-snmp (5.0.2a-1) unstable; urgency=low

  * New upstream version (closes: #147761).
  * Added missing -f in init script.

 -- David Engel <david@debian.org>  Mon,  1 Jul 2002 21:36:08 -0500

ucd-snmp (4.2.5-1) unstable; urgency=low

  * New upstream version (closes:145289).

 -- David Engel <david@debian.org>  Tue, 14 May 2002 19:31:02 -0500

ucd-snmp (4.2.4-2) unstable; urgency=low

  * Made libucdmibs depend on libwrap (closes:144521).

 -- David Engel <david@debian.org>  Thu, 25 Apr 2002 15:27:40 -0500

ucd-snmp (4.2.4-1) unstable; urgency=low

  * New upstream version.
  * Rebuilt with SSL since cryto can now go in main.
  * Explicitly use bash for the fixman script (closes:133652).
  * Don't use LD_RUN_PATH in perl/SNMP.so.
  * Fixed parsing of "-p udp:" in snmpd (closes:141176).

 -- David Engel <david@debian.org>  Tue, 23 Apr 2002 20:50:25 -0500

ucd-snmp (4.2.3-2) unstable; urgency=high

  * Fixed potential buffer overflow in snmpnetstat (close:129243).
  * Updated upstream URL in debian/copyright file (close:125669).

 -- David Engel <david@debian.org>  Mon, 28 Jan 2002 21:24:59 -0600

ucd-snmp (4.2.3-1) unstable; urgency=low

  * New upstream version (closes:122331).
  * Changed the snmpd syslog message when interface statistics are
    not available from LOG_ERR to LOG_DEBUG (closes:121555).
  * Added a note in README.Debian about changes to
    ucd-snmp-includes.h (closes:121095).

 -- David Engel <david@debian.org>  Sat,  8 Dec 2001 20:11:34 -0600

ucd-snmp (4.2.2-1) unstable; urgency=low

  * New upstream version (closes:111966, closes:112005, closes:112073,
    closes:118795, closes:118848).
  * Removed Build-Depends on essential sed package (closes:111212).
  * Added the ucd-snmp.m4 autoconf file (closes:112078).
  * Moved mib2c from libsnmp-perl to libsnmp4.2-dev (closes:112393).
  * Remove /var/lib/snmp if libsnmp-base is purged (closes:113729).
  * Fixed int/size_t errors in mib_api man page (closes:114478).
  * Added a blurb in README.Debian about snmpconf (closes:115378).
  * Enabled smux support.
  * Moved the agentx socket from /var/agentx/master to /var/run/agents
    for FHS compatibility (closes:120015).

 -- David Engel <david@debian.org>  Mon, 19 Nov 2001 13:33:59 -0600

ucd-snmp (4.2.1-6) testing unstable; urgency=high

  * Fixed LD_LIBRARY_PATH build problem when running under fakeroot
    (closes:107565, closes:104044).
  * Applied ucd-snmp-4.2.1-security*.patch from Caldera to fix potential
    buffer overflow, temp file race and group permission problems
    (closes:109345, closes:109733).
  * Documented the -s option in the snmpd manpage (closes:109639).
  * Changed the FAQ to reference /usr and /etc instead of /usr/lcoal
    (closes:107758).
  * Removed duplicate build dependency on libtool (closes:107476).
    Changed build dependency from perl5 to perl (>=5.6) (closes:107575).
  * Fixed minor typo in snmpd manpage (closes:106326).
  * Added symlinks for missing man pages (closes:99614) and renamed
    section 3 and 5 man pages to *.[35]snmp to aboid possible conflicts
    with other packages.
  * Applied ucd-snmp-4.2-ia64.patch from RedHat to properly set the return
    length of IP addresses on 64-bit architectures.

 -- David Engel <david@debian.org>  Sun,  2 Sep 2001 22:47:30 -0500

ucd-snmp (4.2.1-5) unstable; urgency=low

  * Rebuilt without SSL (closes:98306, closes:102429).  Will look
    into doing a non-US version with SSL.

 -- David Engel <david@debian.org>  Sat,  7 Jul 2001 20:53:16 -0500

ucd-snmp (4.2.1-4) unstable; urgency=low

  * Fixed bug uncovered by libtool upgrade which caused snmpd
    not to build (closes:97965).

 -- David Engel <david@debian.org>  Fri, 18 May 2001 20:49:14 -0500

ucd-snmp (4.2.1-3) unstable; urgency=low

  * Installed the libsnmp-perl module into the perl vendor
    directory (closes:95530).
  * Updated the description of the libsnmp-base package
    (closes:97170).
  * Upgraded to libtool 1.4 (closes:97660).

 -- David Engel <david@debian.org>  Thu, 17 May 2001 20:16:17 -0500

ucd-snmp (4.2.1-2) unstable; urgency=low

  * Enabled SSL support.
  * Included the agent libraries in the -dev package to allow
    for building agent extensions.

 -- David Engel <david@debian.org>  Tue, 15 May 2001 20:15:56 -0500

ucd-snmp (4.2.1-1) unstable; urgency=low

  * New upstream version.
  * Gave up and added autoconf and libtool to Build-Depends:
    (closes:92103).
  * Fixed mib2c to use /etc/snmp instead of /usr/share/snmp.

 -- David Engel <david@debian.org>  Wed, 11 Apr 2001 23:39:52 -0500

ucd-snmp (4.2-7) unstable; urgency=low

  * Fixed long standing bug where mibs were not processed if the
    .index file was not present (closes: 89597).
  * Fixed starting of snmptrapd to be controlled by TRAPDRUN like
    it was intended and documented (closes: 90621).

 -- David Engel <david@debian.org>  Sun, 25 Mar 2001 17:51:09 -0600

ucd-snmp (4.2-6) unstable; urgency=low

  * Avoid rerunning autoconf/header (Bug#89033).

 -- David Engel <david@debian.org>  Sun, 11 Mar 2001 17:08:41 -0600

ucd-snmp (4.2-5) unstable; urgency=low

  * Fixed IBM S/390 build (Bug#88559).

 -- David Engel <david@debian.org>  Tue,  6 Mar 2001 19:56:11 -0600

ucd-snmp (4.2-4) unstable; urgency=low

  * Fixed build installs into the live filesystem (Bug#87015).

 -- David Engel <david@debian.org>  Sun, 25 Feb 2001 22:12:21 -0600

ucd-snmp (4.2-3) unstable; urgency=low

  * Removed the Pre-Depends for snmpd since it didn't fix the
    problem I was trying to solve (Bug#85573).

 -- David Engel <david@debian.org>  Tue, 20 Feb 2001 20:08:41 -0600

ucd-snmp (4.2-2) unstable; urgency=low

  * Created new libsnmp-base package to allow future libsnmpX.Y
    packages to coexist (Bug#31253).
  * Added a slight delay after stopping the daemons to let them
    completely exit before restarting them (Bug#84696).
  * Added a /etc/default/snmpd file to control daemon activity.
  * Hopefully fixed strange error starting snmpd (Bug#58411).
  * Changed package priorities to optional to match the overrides
    file.
  * Added tkmib and libsnmp-perl packages (Bug#78942).

 -- David Engel <david@debian.org>  Sun,  4 Feb 2001 13:27:26 -0600

ucd-snmp (4.2-1) unstable; urgency=low

  * New upstream version (Bug#82876).
  * Enabled ipv6 support (Bug#82879).
  * Updated to packaging standard 3.2.1 (Bug#82878).
  * Added BRIDGE- and SOURCE-ROUTING-MIBs (Bug#62696).

 -- David Engel <david@debian.org>  Sun, 21 Jan 2001 12:52:02 -0600

ucd-snmp (4.1.2-2) unstable; urgency=low

  * Added real counter objects to the IPFWCHAINS MIB (George Bonser).
  * Don't resolve addresses to names in the IPFWCHAINS MIB (George
    Bonser).
  * Update the IPFWCHAINS MIB information properly.
  * Use /dev/null as logfile to force closing of std* (Bug#71959,
    Bug#66898).
  * Added a README.Debian file describing issues that are specific
    to Debian (Bug#70421, Bug#66477).

 -- David Engel <david@debian.org>  Sun, 19 Nov 2000 21:39:38 -0600

ucd-snmp (4.1.2-1) unstable; urgency=low

  * New upstream version.
  * Fixed segfault in snmpd on processes with long command lines
    (Bug#64333).

 -- David Engel <david@debian.org>  Mon, 22 May 2000 20:06:48 -0500

ucd-snmp (4.1.1-3) unstable; urgency=low

  * Added the ipfwchains MIB module (Bug#63252).

 -- David Engel <david@debian.org>  Sat, 29 Apr 2000 21:36:34 -0500

ucd-snmp (4.1.1-2) frozen unstable; urgency=low

  * Fixed incorrect .so directives in man3 pages which caused
    several error messages from man_db.

 -- David Engel <david@debian.org>  Sat,  8 Apr 2000 11:48:23 -0500

ucd-snmp (4.1.1-1) frozen unstable; urgency=low

  * New upstream version (Bug#60427).
  * Fixed memory leaks in snmpd (Bug#49809).
  * Installed snmpv3.h (Bug#60594).
  * Turned on syslog logging in snmpd (Bug#60611).

 -- David Engel <david@debian.org>  Sat, 25 Mar 2000 20:45:07 -0600

ucd-snmp (4.0.1-9) frozen unstable; urgency=low

  * Fixed more serious build problems (Bug#60381).

 -- David Engel <david@debian.org>  Tue, 14 Mar 2000 21:34:36 -0600

ucd-snmp (4.0.1-8) frozen unstable; urgency=low

  * Removed execute permission from header files. (Bug#60369).

 -- David Engel <david@debian.org>  Tue, 14 Mar 2000 11:30:41 -0600

ucd-snmp (4.0.1-7) frozen unstable; urgency=low

  * Backported important fixes from 4.1-1 to get into frozen.
  * Removed hidden snmpd dependency on rpm (Bug#56471).
  * Removed bad paths in snmpd (Bug#56498).
  * Fixed segfault in snmpdelta (Bug#57486).

 -- David Engel <david@debian.org>  Sun, 13 Feb 2000 12:52:53 -0600

ucd-snmp (4.0.1-6) frozen unstable; urgency=low

  * Issue a warning about retoring the default snmpd configuration
    when upgrading from the older, incompatible version (Bug#55883).

 -- David Engel <david@debian.org>  Sat, 22 Jan 2000 20:45:26 -0600

ucd-snmp (4.0.1-5) unstable; urgency=low

  * Install EXAMPLE.conf (Bug#51584).

 -- David Engel <david@debian.org>  Thu,  2 Dec 1999 19:55:00 -0600

ucd-snmp (4.0.1-4) unstable; urgency=low

  * Change persistent directory to /var/lib/snmp (Bug#48151).
  * Used LCD_TIME_SYNC_OPT.

 -- David Engel <david@debian.org>  Mon, 25 Oct 1999 11:29:17 -0500

ucd-snmp (4.0.1-3) unstable; urgency=low

  * Removed snmpcheck, at least for now (Bug#44373).
  * Fixed shlibs file (Bug#45577).
  * Fixed build problems (Bug#45758).
  * Use FHS /usr/share/{doc,man}.

 -- David Engel <david@debian.org>  Mon, 27 Sep 1999 20:50:55 -0500

ucd-snmp (4.0.1-2) unstable; urgency=low

  * Fixed parse error in the default snmpd.conf file.
  * Rebuilt with shared libwrap.

 -- David Engel <david@debian.org>  Fri, 27 Aug 1999 20:59:19 -0500

ucd-snmp (4.0.1-1) unstable; urgency=low

  * New upstream version.
  * Switched back to normal soname since it no longer conflicts with
    the old one.

 -- David Engel <david@debian.org>  Wed, 25 Aug 1999 20:26:03 -0500

ucd-snmp (3.6.2-8) unstable; urgency=low

  * Removed execute bit from MIB files (Bug#43300).
  * Partially reverted previous interface fixes for 2.0 kernels.

 -- David Engel <david@debian.org>  Sat, 21 Aug 1999 23:08:26 -0500

ucd-snmp (3.6.2-7) unstable; urgency=low

  * Fixed incompete arg checking (Bug#43126).
  * Fixed ASN.1 length parsing on alpha (William Brioschi).

 -- David Engel <david@debian.org>  Wed, 18 Aug 1999 09:58:40 -0500

ucd-snmp (3.6.2-6) unstable; urgency=low

  * Re-did some previous fixes properly.

 -- David Engel <david@debian.org>  Fri, 13 Aug 1999 10:43:20 -0500

ucd-snmp (3.6.2-5) unstable; urgency=low

  * Fixed more interface calculation errors.

 -- David Engel <david@debian.org>  Thu, 12 Aug 1999 20:27:39 -0500

ucd-snmp (3.6.2-4) unstable; urgency=low

  * Fixed the calculation of if{In,Out}Octets under Linux 2.2.
  * Moved the .5 manpages to the libucdsnmp package (Bug#42759 and
    Bug#42765).
  * Started the snmptrapd daemon to replace the old snmptraplogd
    package functionality (Bug#42792).

 -- David Engel <david@debian.org>  Tue, 10 Aug 1999 19:37:28 -0500

ucd-snmp (3.6.2-3) unstable; urgency=low

  * Applied upstream patches 3, 4, 9 and 10.

 -- David Engel <david@debian.org>  Fri,  6 Aug 1999 21:59:43 -0500

ucd-snmp (3.6.2-2) unstable; urgency=low

  * Don't use --disable-debugging.
  * Fix calculation of ifNumber as interfaces are added and removed
    (Bug#42452).
  * Don't process packets in snmpd when recvfrom returns an error
    (Bug#42465).

 -- David Engel <david@debian.org>  Thu,  5 Aug 1999 20:33:28 -0500

ucd-snmp (3.6.2-1) unstable; urgency=low

  * Switched to UCD SNMP.
  * Use debhelper.

 -- David Engel <david@debian.org>  Sat, 24 Jul 1999 20:33:10 -0500

snmp (3.6-3) unstable; urgency=low

  * Split the snmpd agent into a separate package so the apps can
    be installed without it (Bug#37560).
  * Reduced the amount of information reported by the snmpd agent
    by default (Bug#37169).

 -- David Engel <david@debian.org>  Wed, 19 May 1999 21:50:33 -0500

snmp (3.6-2) unstable; urgency=low

  * Include libsnmp.a (Bug#34826).
  * Change CWD to / before starting snmpd (Bug#35977).

 -- David Engel <david@debian.org>  Tue, 27 Apr 1999 12:01:30 -0500

snmp (3.6-1) frozen unstable; urgency=low

  * New upstream version (mainly bug fixes).

 -- David Engel <david@debian.org>  Fri, 27 Nov 1998 21:59:51 -0600

snmp (3.5-4) unstable; urgency=low

  * Install mib.h header file (Bug#25777).

 -- David Engel <david@debian.org>  Wed, 19 Aug 1998 20:48:44 -0500

snmp (3.5-3) frozen unstable; urgency=low

  * Check for the existence of the rc script before running it
    in the prerm script (Bug#21565).

 -- David Engel <david@sw.ods.com>  Mon, 11 May 1998 15:44:17 -0500

snmp (3.5-2) unstable; urgency=low

  * Remove old /usr/doc/snmp directory in preinst.  Is is now a
    symlink to /usr/doc/libsnmp3.5.
  * Fixed MIB parsing bug (Bug#19225).

 -- David Engel <david@sw.ods.com>  Sat, 14 Mar 1998 14:24:50 -0600

snmp (3.5-1) unstable; urgency=low

  * New upstream version.
  * Add libsnmp3.5 and libsnmp3.5-dev packages (Bug#16557).
  * Explicitly link libsnmp.so.* with -lc (Bug#18315).
  * Add restart|reload|force-reload support to init.d script
    (Bug#17118).

 -- David Engel <david@sw.ods.com>  Wed, 18 Feb 1998 12:00:00 -0500

snmp (3.4-2) unstable; urgency=low

  * Enable full dumping of debug packets.
  * Change /etc/snmpd.conf to mode 600.

 -- David Engel <david@sw.ods.com>  Mon,  8 Dec 1997 13:43:41 -0600

snmp (3.4-1) unstable; urgency=low

  * Updated to new upstream version.
  * Fixes Bug#9855, Bug#11161 and Bug#11688.

 -- David Engel <david@sw.ods.com>  Thu,  7 Aug 1997 16:44:00 -0500

snmp (3.3-2) unstable; urgency=low

  * Built with libc6.
  * Updated init.d script messages to current standards.

 -- David Engel <david@sw.ods.com>  Tue, 13 May 1997 20:40:37 -0500


snmp (3.3-1) unstable; urgency=low

  * Updated to new upstream version.

 -- David Engel <david@sw.ods.com>  Mon, 31 Mar 1997 19:13:44 -0600

snmp (3.2-2) unstable; urgency=low

  * Converted to new packaging standards.
  * Removed development files.  They may be reappear in a
    -dev package sometime in the future.

 -- David Engel <david@debian.org>  Wed, 19 Feb 1997 20:53:07 -0600
